SAP GUI Online Help

    Table of Contents

    1 After Installing the SAP GUI
    1.1 New Icons for the SAP GUI
    1.2 New Menu for the SAP GUI
    1.3 User-specific Automatic Update
    2 Using SAP GUI to Log on to SAP Systems
    2.1 Logging on to a System and Logging Off
    2.1.1 Logging On
    2.1.2 Logging Off
    2.2 Logging on Using SAP Logon Pad
    2.3 Logging on Using SAP Shortcut
    2.3.1 Creating a SAP Shortcut
    Creating a SAP Shortcut from your Desktop
    Creating a SAP Shortcut from a Specific Screen in the SAP System
    Creating a SAP Shortcut in SAP Logon
    2.3.2 Using SAP Shortcuts
    2.4 Logging on using SAP Logon - with Wizard
    2.4.1 Starting SAP Logon
    2.4.1.1 SAP Logon Main Window
    2.4.2 The Systems Tab
    2.4.2.1 Adding a New Entry
    2.4.2.2 Changing Existing Entries
    2.4.2.3 Deleting Existing Entries
    2.4.2.4 Logging on Using an Existing Entry
    2.4.2.5 Logging on without Adding any Entry
    2.4.3 The Shortcuts Tab
    2.4.3.1 Adding a New Entry
    2.4.3.2 Changing Existing Entries
    2.4.3.3 Deleting Existing Entries
    2.4.4 Viewing Entries on Each Tab
    2.4.5 Configuring the SAP Logon
    2.4.6 Showing SAP Logon Version
    2.4.7 Closing and Canceling SAP Logon
    2.4.8 Accessing the System Tray Menu
    2.5 Logging on using SAP Logon - without Wizard
    2.5.1 Starting SAP Logon
    2.5.1.1 SAP Logon Main Window
    2.5.2 Maintaining Logon Entries in SAP Logon
    2.5.2.1 Adding Entries Using Group Selection
    2.5.2.2 Adding Entries Using Server Selection
    2.5.2.3 Adding User-Defined Entries
    2.5.2.4 Editing Entries
    2.5.2.5 Modifying the Advanced Options
    2.5.2.6 Filtering Systems
    2.5.2.7 Deleting an Existing Entry
    2.5.3 Maintaining SAP Shortcut Entries in SAP Logon
    2.5.3.1 Adding a New Entry
    2.5.3.2 Changing Existing Entries
    2.5.3.3 Deleting Existing Entries
    2.5.4 Viewing Logon Entries
    2.5.5 Configuring the SAP Logon
    2.5.6 Showing SAP Logon Version
    2.5.7 Closing and Canceling SAP Logon
    2.5.8 Accessing the System Tray Menu
    3 Elements of a SAP GUI Window
    3.1 Main Window
    3.1.1 The Menu Bar
    3.1.2 The System Function Bar
    3.1.3 The Title Bar
    3.1.4 The Application Bar
    3.1.5 The Status Bar
    3.1.6 The Dynpro Area
    3.1.6.1 Fields
    3.1.6.2 Radio Buttons and Checkboxes
    3.1.6.3 Pushbuttons
    3.1.6.4 Tabs
    3.1.6.5 Table Controls
    3.2 Dialog Boxes
    3.3 Displaying the System Status
    4 Working with Sessions
    4.1 Displaying a List of All Sessions
    4.2 Creating a New Session
    4.3 Closing Sessions
    5 Working with the Clipboard
    5.1 Operating on Single Fields
    5.2 Operating on Multiple Fields
    6 Adjusting the Local Layout
    6.1 Options
    6.1.1 Options
    6.1.2 Cursor Settings
    6.1.3 Local Data Settings
    6.1.4 I18N Settings
    6.1.5 Expert Settings
    6.1.6 Trace Settings
    6.1.7 Scripting Settings
    6.1.8 Accessibility Settings
    6.2 New Visual Design
    6.2.1 General Settings
    6.2.1.1 Active Theme
    6.2.1.2 Sound
    6.2.1.3 Font Size
    6.2.2 Color Settings
    6.3 Set Color to System
    6.4 Clipboard
    6.5 Generate Graphic
    6.6 Create Shortcut
    6.7 Activate GUI XT
    6.8 Script Recording and Playback...
    6.9 Script Development Tools...
    6.10 Default Size
    6.11 Information about the Front End
    6.12 Other General Settings under Customizing Local Layout
    6.13 Internationalization Settings under Customizing Local Layout
    6.13.1 Character set
    6.13.2 Font(I18N)...
    6.13.3 Options(I18N)...
    6.13.3.1 Tab IME
    6.13.3.2 Tab Encoding
    6.13.3.3 Tab Graphic
    6.13.3.4 Tab Others
    6.14 SAP Configuration
    7 Error Analysis
    7.1 SAP Logon Pad Trace
    7.2 SAP Logon Trace
    7.3 SAP Shortcut Trace
    7.4 SAP GUI Trace
    7.4.1 If You Are Running SAP Logon Pad
    7.4.2 If You Are Running SAP Logon
    7.4.3 If You Are Going to Run SAP Shortcut
    7.5 SAP Front End Trace
    Appendix A: Navigating Using the Keyboard
    Appendix A1: Navigating Using the Keyboard: Scrolling to View Information
    Appendix A2: Navigating Using the Keyboard: The Tab Chain
    Appendix A3: Navigating Using the Keyboard: Navigating Between Tab(strip)s
    Appendix A4: Navigating Using the Keyboard: Selecting a Line or a Column in a selectable Table Control
    Appendix A5: Navigating Using the Keyboard: Tabbing Automatically Between Fields
    Appendix A6: Navigating Using the Keyboard: Other Hot Keys
    Appendix B: Wheel Mouse Support
    Appendix C: Standard Icons
    Appendix D: Modified SAP GUI Features
    Appendix E: Further Information
    Appendix F: Open Source Licenses
    Appendix G: SAP GUI Scripting API

    1 After Installing the SAP GUI

    To log on to the SAP System the SAP GUI must be installed.

    1.1 New icons for the SAP GUI

    After you have installed the SAP GUI one or more of the icons for SAP Logon Pad or/and SAP Logon will appear on your desktop.

    SAP Logon

    SAP Logon Pad

    A new icon SAP configuration will be added to the Windows control panel.

    1.2 New menu for the SAP GUI

    In the Windows menu Start -> Programs a new submenu SAP Front End will appear.

    1.3 User-specific Automatic Update

    If SAP GUI was installed from an installation server, every user can activate an automatic update of the local SAP GUI from this installation server.
    To optimize network load the automatic update does not check for a new update every time SAP GUI is started, but only after a configurable number of double-clicks on the SAP Logon (or SAP Logon Pad) icon.
    In case an updated version of SAP GUI is available on the installation server SAPSetup is launched to update the local SAP GUI before SAP Logon is started.

    To configure the automatic update,

    • Right-click the SAP Logon (or SAP Logon Pad) icon
    • And choose Configure Auto Update from the context menu.

    The following dialog box appears:

    By default the automatic update is
    • Switched on if the installation of SAP GUI was run from an installation server. The default value for the number of double-clicks on the SAP Logon (SAP Logon Pad) icon required before the check for an update is performed is set to 5.
    • Switched off if the installation of SAP GUI was run from CD / DVD.

    Using the checkbox "Activate Auto-Update" you can deactivate or activate the automatic update. You can also configure the number of double-clicks on the SAP Logon (SAP Logon Pad) icon before the check for available updates on the installation server is performed according to your needs. To activate the change(s) choose the "OK" button.

    2 Using SAP GUI to Log on to SAP Systems

    2.1. Logging on to a System and Logging Off

    Before you log on for the first time, your system administrator will give you an initial password. During the logon process, you should create a new password, known only to you. After that, you use your own password whenever you log on. (These procedures may differ somewhat at your company; for more information, contact your system administrator.)

    2.1.1 Logging On

    After you have started the SAP System the first screen you see is the logon screen (in this case, with the title SAP R/3).

    When you choose the TAB key after you have entered data in a field, the cursor moves to the beginning of the next field.

    The logon screen is shown above. To log on to the SAP System:

    1. Enter the client number in the Client field.

      2. If a default client number appears in the field, you can either accept it, or change it by typing over it.
    2. To move the cursor to the User field, choose the TAB key. Enter your user ID in the User field.

    3. To move the cursor to the Password field, choose the TAB key. Enter the initial password provided by your system administrator in the Password field.

      4. As you type the initial password, the asterisks remain in the field, and only the cursor moves. As a security measure, the system does not display what you type.
      In the SAP System, passwords are not case-sensitive.
    4. To display screens, menus, and fields in another language, move the cursor to the Language field by pressing the TAB key. Enter the language key for the desired language.
    5. Choose Enter.
    6. The system automatically displays the new password dialog box. You must change your initial password.

      7. If you do not see the new password dialog box, check the status bar for a system message. You may have entered an incorrect client number, password, user ID or language key. If this is the case, repeat steps 1 through 5.
    7. In the New password field, enter a new password.

      8. As you type the new password, the asterisks remain in the field, and only the cursor moves. As a security measure, the system does not display what you type.
      To move the cursor to the Repeat password field, choose the TAB key.
    8. In the Repeat password field, enter the new password again, exactly as you entered it the first time.
    9. Choose Confirm (or choose Enter). If you have successfully changed your password, the Copyright dialog box will appear.
    10. In the Copyright dialog box, choose Continue (or choose Enter).

      11. If there are system wide messages, the System Messages dialog box appears. After you have read the messages, choose Continue (or choose Enter) to close the dialog box.

    2.1.2 Logging Off

    You can log off from the SAP System from any screen:

    • From the menu bar, choose System -> Log off.
    • Click the button at the upper right-hand corner of the screen (if you only have one session running).

    The Log off dialog box appears. It informs you that any data you have not yet saved will be lost if you proceed with logging off.

    If you are not certain that you have saved all of your data and you do not want to log off after all, choose No. You return to the screen in which you were working.
    If you are certain that you have saved all of the data you want to save, choose Yes. All of your SAP System sessions close. You have successfully logged off.

    2.2 Logging on Using SAP Logon Pad

    SAP Logon Pad is almost the same as SAP Logon (see 2.4 Logging on using SAP Logon - with Wizard). The difference is that you cannot change the entries in the former. For example, you cannot add, change or delete the logon entries in SAP Logon Pad.

    System administrators can use SAP Logon Pad to determine which systems are available to which employees.

    2.3 Logging on Using SAP Shortcut

    SAP shortcuts allow the user to start SAP transactions, run reports or execute system commands directly from the Windows desktop. This means that you do not have to navigate through menus. To use SAP shortcuts you must be using a 32-bit Windows operating system.

    2.3.1 Creating a SAP Shortcut

    Creating a SAP Shortcut from your Desktop:
    1. Place the cursor anywhere on the desktop (not on an open Windows application), and click the right mouse button.
    2. Choose New -> SAP GUI Shortcut.

    3. Enter the desired name for the shortcut, but keep the .SAP file extension. Press Enter.

      4. You have now created a file for your shortcut. Next, you must define this file.
    4. Place the mouse on the newly created icon. Click the right mouse button to open the context menu. Choose Edit.

      5. If the SAP Logon option With Wizard is on (see the section 2.5.5 Configuring the SAP Logon for details),
      the following dialog appears.

      The window contains tab General and tab Options. The tab Options looks as follows:

      If the SAP Logon option With Wizard is not on, the dialog looks as follows:

      The title bar of the dialog box contains the complete path of the shortcut file.

    5. Input data for the following fields:

        6. The field Description or System Description contains the name of the desired system. You can select the system from the dropdown list or enter SAP GUI command line arguments, for example appServ 00, in the field SAP GUI Parameters or Start Parameters. You can obtain the command line arguments from your system administrator.
        If you have specified the desired system manually you must also complete the field System ID.
        Complete the Client field. If you do not remember your client, log on to the system using SAP Logon or SAP Logon Pad.
        Enter your user ID in the User Name field. The field usually already contains your Windows user ID.
        The Password field is normally deactivated for security reasons. Only your PC administrator can activate this field. If the Password field of the New SAP GUI Shortcut dialog box has been activated, you can specify a password. However, for security reasons, this is not recommended, and a warning appears. You should only include your password in an SAP Shortcut if you are certain no one can access your PC or your disk/folder.
        Select the right language for the logon into the R/3 system from the dropdown list for the Language field.
        Specify the type of transaction in the Type field, for example, whether a transaction, report or system command is to be executed.
        Enter the appropriate command (OK code) in the Command field. You can obtain the required code in several ways:
        • Use the Easy Access menu:
          1. Choose Extras -> Settings
          2. Navigate to the desired transaction using the Easy Access menu.
          3. Obtain the required code from the Easy Access menu.
        • Go to the required transaction and choose System -> Status.
          You can see the code here.
        • Use the status bar:
          1. Go to the required transaction.
          2. Go to the status bar of the task.
          3. Click on the list arrow.
          4. Choose Transaction.
            5. The code is displayed in the status bar.
        Enter the shortcut title in the Title field.
        Select the desired trace level using the dropdown list.
        You can specify the required window size on startup in the field Window size.
        Make changes in the field Working directory if necessary.
        Turn off Reuse Connection When Launching SAP Shortcuts if necessary.
        This setting only exists if the SAP Logon option With Wizard is turned on (see the section 2.5.5 Configuring the SAP Logon for details).
        If this setting is turned off, each time when you use an SAP Shortcuts to logon to an SAP system, a new connection will be made no matter whether there are already same connections existing or not.
        Press OK.
        The shortcut appears as an icon on your desktop, for example
        .

    Creating a SAP Shortcut from a Specific Screen in the SAP System

    1. Go to the screen for the task you want to run, and choose [image] or choose [image] -> Create Shortcut ...
      The New SAP GUI Shortcut dialog box appears.
    2. Check that the information in the dialog box (User name, Language, Type, Title, Command etc.) is correct.
    3. Press OK.
      The shortcut appears on your desktop.

    Creating a SAP Shortcut in SAP Logon

      See 2.4.3 The Shortcuts Tab for more details.

    2.3.2 Using SAP Shortcuts

    If you do not have an SAP session running

    1. Double-click the SAP Shortcut for the task you want to execute.

      2. A logon dialog box is displayed.

      The title bar specifies the system ID, client, language, and task if the title of the SAP shortcut is not defined.

    2. Enter your password. Press Logon, or Press Enter.

      3. The SAP session starts.
    3. To view or change your shortcut definition place the cursor anywhere in the logon dialog box (except on the title bar, input fields, or pushbuttons). To display the context menu click the right mouse button.

      4. If you have not entered a password only the Edit option is activated. After you have entered the first character of your password, both the Open and Edit options are activated.

    If you have an SAP session running

    From the desktop double-click on the SAP Shortcut for the task you want to run. If an application is already running a new SAP session is started. Otherwise, the current SAP session starts the task you want to run. If the SAP Shortcut was created for the System command /NTCD (/N + transaction code), the task will be run only in the current SAP session, irrespective of whether an application is already running or not.

    To start a shortcut from within an open SAP session, drag and drop the shortcut onto the open session. The system starts the task you want to run.

    The following functions are also available:

    • To edit the shortcut use SHIFT + Drag and Drop.
    • To open a new session and start the task you want to execute use CTRL + Drag and Drop.

    2.4 Logging on using SAP Logon - with Wizard

    As of SAP GUI release 6.40 Patch 9 you can use a new functional Wizard. To turn off this feature and use SAP Logon without Wizard see the section 2.4.5 Configuring the SAP Logon and the section 2.5 Logging on Using SAP Logon - without Wizard for more details.

    2.4.1 Starting SAP Logon

    You can start SAP Logon as follows:

    • Double-click the icon for SAP Logon on the desktop

    • Call the Windows menu Start->Programs->SAP Front End->SAP Logon

    After SAP Logon is started, SAP Logon main window appears (see below) and SAP Logon icon now appears in both the task bar (together with the title like SAP Logon 710) and the system tray (that is the bottom right-hand corner of your desktop).

    2.4.1.1 SAP Logon Main Window

    After you start SAP Logon you get the SAP Logon main window with the title SAP Logon 710 as follows:

    If there are already some SAP Shortcut entries defined, the following window appears if you activate the tab Shortcuts:

    The SAP Logon main window (see the figures above) contains by default two tabs: Shortcuts and Systems tab. The Systems tab is activated by default after starting SAP Logon.

    2.4.2 The Systems Tab

    In Systems tab, you can

    • add new items to the system list by clicking New Item...
      (See the section 2.4.2.1 Adding a New Entry for details)

    • edit already existing items in the system list by clicking the button Change Item...
      (See the section 2.4.2.2 Changing Existing Entries for details)

    • delete the items by clicking Delete Item...
      (See the section 2.4.2.3 Deleting Existing Entries for details)

    • logon to an SAP system by selecting an entry in the system list and pressing Enter or clicking Log on or by double clicking the entry
      (See the section 2.4.2.4 Logging on Using an Existing Entry for details)

    • logon to an SAP system by clicking Variable Logon without adding any item to the system list
      (See the section 2.4.2.5 Logging on without Adding any Entry for details)

    2.4.2.1 Adding a New Entry

    To add a new entry to the system list,

    1. Press New Item...

      2. You see the following window with the title Create New System:

      First item in the list is always selected.
      If you want to choose another item, proceed to step 2.

      In SAProuter field the default SAProuter is displayed. If SAProuter field is empty, it means there is no SAProuter selected by default. If you need another SAProuter for the selected system (in this case User Specified System), select the wished SAProuter Name from SAProuter drop down list.

      If you want to logon to a user specified system, press Next.
      You see the following window:

      Enter the following required data:

      Description: A short description of the system entry, leave the Description field empty if you want a suggested description

      Application Server: The name of the host that you want to connect to

      System Number: Specify the system number (e.g. 00) of the SAP System that you want to connect to

      System ID: Specify the system ID of the SAP System that you want to connect to

      Enter the following optional data:

      SAProuter String: An SAProuter string if an SAProuter is needed (see Route Strings for details).

      After you have entered the required data, the buttons Next and Finish will be active. One example is shown below:

      If you check the check button Use this page as the first page for next creations..., you'll get the window shown above directly when you click New Item... next time.

      If you want to create a new entry for the selected system with the default options for the Network and Code Page settings, go to step 7.

      If you want to change the default options for the Network or/and Code Page settings, go to step 5.

    2. Select one of the systems shown in the system list (e.g. A10 in this case).
      You can do this by typing the system ID sequently or pressing the left mouse button. Scroll the system list if necessary.

      You can also first filter the system list and then select a system.
      Focus Search for field above the system list and input a string, that should be searched from SID (system ID) and description of the entries in the list, in this field.
      You can use the following operators in the searching string:

      1. AND operator:
        In order to concatenate search terms this way, place a '+' directly in front of the relevant search term.
        Example: Basis +Development
      2. OR operator:
        This is the default.
        This concatenation will be used if a blank or '|' is located directly in front of the relevant search term.
        Examples: 4.6D 46D, 4.6D |46D
      3. NOT operator:
        In order to exclude system matching a certain condition, place a '-' directly in front of the relevant search term
        Example: 46D -Support
      4. Exact term search:
        Use this to search for complete strings containing blanks or other control characters.
        Example: "Support package"
      Note that operators in front of the first search term are ignored with the exception of " for exact term search.
      The search can contain system IDs as well.

      The search starts automatically. When there are some systems found, the result is a list of matching entries:

      Select one of the filtered entries or User Specified System in the list in order to continue.

      If the search fails, a message No matching systems found for query: ... appears.

      You select User Specified System in the list in order to continue.

      Or You can start a new search by choosing Clear and typing a new string.

      After choosing Clear all the entries will be restored in the system list. If you are not going to type a new searching string, select one of the entries in the list in order to continue.

      In SAProuter field the default SAProuter is displayed. If SAProuter field is empty, it means there is no SAProuter selected by default. If you need another SAProuter for the selected system, select the wished SAProuter Name from SAProuter drop down list.

    3. Press Next

      4. You see the following window showing searching groups/server status:

      It may take some time while connecting to the message server and getting the groups/server list from it.
      The maximal time to take is the message server timeout that is set in SAP Logon option (see the section 2.5.5 Configuring the SAP Logon for details)

      If there are groups and servers available you see a list of them, from which you can choose one to connect to.
      The following window shows that list:

      The first entry in the list is always selected as a default. The buttons Next and Finish are active now.
      Select another entry if necessary and/or go to step 4.

      If the group/server can not be created because of some error, you see the error message in the list.
      One example is shown below:

      Input another system ID or message server in the relevant field or go back to the previous page to select another SAProuter.

      After entering System ID or Message Server a new searching will start.
      After a successful search you will see a list of all groups and servers available as shown in the example below:

      The first entry in the list is always selected as a default. Select another entry if necessary.
      The buttons Next and Finish are active now.

    4. If you press Finish, the active wizard window will be closed and a new entry is added to the system list for the selected system with the default options for the Network and Code Page settings. See step 7 about the logon screen.

      If you press Next or Enter

      or double click an item from the Group/Server list,

      You see the following window:

      All the parameters needed are displayed.

      If you do not need to change them go to step 5 to change the default options for the Network and Code Page settings or go to step 7 to logon with the default options for the Network and Code Page settings.

      Otherwise you can change them as follows:

      If necessary, select connection type from the dropdown list, for example, Group/Server Selection as shown in the following window:

      After selecting Group/Server Selection you see the following window:

      If you choose connection type Custom Application Server, go to You see the following window:

      Choose the wished System ID from the drop down list or enter it manually if it's not in the drop down list.
      The system description will be shown next to System ID if it is existing.

      Message Server will be displayed correspondingly to the System ID if it can be found.
      If Message Server field is empty, you must input the message server name or its IP address corresponding to the system ID.

      If an SAProuter is needed, you can choose an SAProuter name from SAProuter Name dropdown list as shown in the following window:

      Focus the Group/Server field or try to open the Group/Server drop down list, the drop down list will be generated according to your input data for system ID, message server and SAProuter.

      It may take some time while connecting to the message server and getting the groups/server list from it.
      The maximal time to take is the message server timeout that is set in SAP Logon option (see the section 2.5.5 Configuring the SAP Logon for details)

      Select a group or application server from Group/Server drop down list as follows:

      If the Group/Server can not be generated, an error message will be displayed. One example is shown below:

      You must then change the input data for system ID, message server or SAProuter properly in order that the Group/Server list can be generated.

      If you select the check button Use this page as the first page for next entry creations..., you'll get the window shown above directly when you click New Item... next time, for example:

      You can then enter the required data as described above in this step (step 4) without doing step 1 to 3 (see If necessary, select another connection type ... ).

      After you have entered all the required data, the buttons Next and Finish will be active.

      Go to step 5 to change the default options for the Network and Code Page settings or go to step 7 to create the new entry for the selected system with the default options for the Network and Code Page settings.

    5. Press Next.

      You see a window, where you can change network settings:

      6. Activate Secure Network Communication:
      This button will be active if the SNC name is defined in the SAP system that you are going to connect to.
      You can then choose this button to turn on SNC mode and select the wished SNC level (e.g. Max. available) by selecting one of the radio buttons under the input field SNC name.

      High speed connection (LAN): This is selected as default.
      Low speed connection (reduced network traffic): You can choose this button to turn on the low speed connection (WAN mode).

      Go to step 6 to change the default options for the Code Page settings or go to step 7 to create the new entry for the selected system with the default options for the Code Page settings.

    6. Press Next. You see the following window:

      7. Language Settings: Choose the wished Language from the Language drop down list.

      Up-/download Encoding: Choose the desired Encoding from the Encoding drop down list.

    7. Press Finish.

      8. The active wizard window will be closed and a new entry is added to the system list for the selected system.

    2.4.2.2 Changing Existing Entries

    You can change an existing entry by selecting the entry from the system list and choosing button Change Item... on the right side of SAP Logon main window.

    A dialog box with the title System Entry Properties appears. There are three tabs on this dialog.

    1. The Connection Tab:

      If the existing entry was created using the connection type Group/Server Selection, the Connection tab is shown as follows:

      Change data for System Connection Parameters if necessary. (For details see: After selecting Group/Server Selection ...)

      If the existing entry was created using the connection type Custom Application Server, the Connection tab is shown as follows:

      Change data for System Connection Parameters if necessary. (For details see: Custom Application Server)

      If you need to change the connection type, refer to If necessary, select another connection type ... for details.

    2. The Network Tab:

      You can activate the Network by Choosing the tab header or pressing keys Ctrl+PageUp (Ctrl+PageDown).

      The following dialog is shown:

      Activate Secure Network Communication:
      This button will be active if the SNC name is defined in the SAP system that you are going to connect to.
      You can then choose this button to turn on SNC mode and select the wished SNC level (e.g. Max. available) by selecting one of the radio buttons under the input field SNC name.

      High speed connection (LAN): This is selected as default.
      Low speed connection (reduced network traffic): You can choose this button to turn on the low speed connection (WAN mode).

    3. The Code Page Tab:

      You can activate the Code Page by Choosing the tab header or pressing keys Ctrl+PageUp (Ctrl+PageDown).

      Language Settings: Choose the wished Language from the Language drop down list.

      Up-/download Encoding: Choose the desired Encoding from the Encoding drop down list.

    4. Saving the new settings.

      Choose OK to confirm. Your modified settings will be saved.

    2.4.2.3 Deleting Existing Entries

    1. Select the required item from the system list.

    2. Press the button Delete Item... on the right side and confirm deletion by clicking Yes on the next confirmation dialog that appears.

      If you deselect the check box for "Confirmation of listbox entry delete" (see the section 2.5.5 Configuring the SAP Logon for details) the confirmation dialog will not appear any more.

    2.4.2.4 Logging on Using an Existing Entry

    1. Select a system from the list of existing items under Systems tab.

    2. Press Logon.

      Logon window for the relevant system is displayed as follows:

    2.4.2.5 Logging on without Adding any Entry

    If you want to logon to an SAP system without adding any item to the system list.

    1. Press Variable Logon

      2. You see the following window with the title Logon to System:

      First item in the list is always selected.
      If you want to select another item, proceed to step 2.

      In SAProuter field the default SAProuter is displayed. If SAProuter field is empty, it means there is no SAProuter selected by default. If you need another SAProuter for the selected system (in this case User Specified System), select the wished SAProuter Name from SAProuter drop down list.

      If you want to logon to a user specified system, press Next.
      You see the following window:

      Enter the following required data:

      Application Server: The name of the host that you want to connect to

      System Number: Specify the system number (e.g. 00) of the SAP System that you want to connect to

      System ID: Specify the system ID of the SAP System that you want to connect to

      Enter the following optional data:

      SAProuter String: An SAProuter string if an SAProuter is needed (see Route Strings for details).

      After you have entered the required data, the buttons Next and Logon will be active. One example is shown below:

      If you select the check box Use this page as the first page for next logons..., Next time when you press Variable Logonyou will see directly the window shown above.

      If you want to logon to the selected system with the default options for the Network and Code Page settings, go to step 7.

      If you want to change the default options for the Network or/and Code Page settings, go to step 5.

    2. Select one of the systems shown in the system list (e.g. A10 in this case).
      You can do this by typing the system ID sequently or pressing the left mouse button. Scroll the system list if necessary.

      You can also first filter the system list and then select a system.
      Focus Search for field above the system list and input a string, that should be searched from SID (system ID) and description of the entries in the list, in this field.
      You can use the following operators in the searching string:

      1. AND operator:
        In order to concatenate search terms this way, place a '+' directly in front of the relevant search term.
        Example: Basis +Development
      2. OR operator:
        This is the default.
        This concatenation will be used if a blank or '|' is located directly in front of the relevant search term.
        Examples: 4.6D 46D, 4.6D |46D
      3. NOT operator:
        In order to exclude system matching a certain condition, place a '-' directly in front of the relevant search term
        Example: 46D -Support
      4. Exact term search:
        Use this to search for complete strings containing blanks or other control characters.
        Example: "Support package"
      Note that operators in front of the first search term are ignored with the exception of " for exact term search.
      The search can contain system IDs as well.

      The search starts automatically. When there are some systems found, the result is a list of matching entries:

      Select one of the filtered entries or User Specified System in the list in order to continue.

      If the search fails, a message No matching systems found for query: ... appears.

      You select User Specified System in the list in order to continue.

      Or You can start a new search by choosing Clear and typing a new string.

      After choosing Clear all the entries will be restored in the system list. If you are not going to type a new searching string, select one of the entries in the list in order to continue.

      In SAProuter field the default SAProuter is displayed. If SAProuter field is empty, it means there is no SAProuter selected by default. If you need another SAProuter for the selected system, select the wished SAProuter Name from SAProuter drop down list.

    3. Press Next

      4. You see the following window showing searching groups/server status:

      It may take some time while connecting to the message server and getting the groups/server list from it.
      The maximal time to take is the message server timeout that is set in SAP Logon option (see the section 2.5.5 Configuring the SAP Logon for details)

      If there are groups and servers available you see a list of them, from which you can choose one to connect to.
      The following window shows that list:

      The first entry in the list is always selected as a default. The buttons Next and Logon are active now.
      Choose another entry if necessary and/or go to step 4.

      If the group/server can not be created because of some error, you see the error message in the list.
      One example is shown below:

      Input another system ID or message server in the relevant field or go back to the previous page to select another SAProuter.

      After entering System ID or Message Server a new searching will start.
      After a successful search you will see a list of all groups and servers available as shown in the example below:

      The first entry in the list is always selected as a default. Choose another entry if necessary.
      The buttons Next and Logon are active now.

    4. If you press Logon you logon to the selected system with the default options for the Network and Code Page settings. See step 7 about the logon screen.

      If you press Next or Enter

      or double click an item from the Group/Server list,

      You see the following window:

      All the parameters needed are displayed.

      If you do not need to change them go to step 5 to change the default options for the Network and Code Page settings or go to step 7 to logon with the default options for the Network and Code Page settings.

      Otherwise you can change them as follows:

      If necessary, select another connection type from the drop down list. as shown in the following window:

      After selecting Group/Server Selection you see the following window:

      If you choose connection type Custom Application Server, go to You see the following window:

      Choose the wished System ID from the dropdown list or enter it manually if it's not in the dropdown list.
      The system description will be shown next to System ID if it is existing.

      Message Server will be displayed correspondingly to the System ID if it can be found.
      If Message Server field is empty, you must input the message server name or its IP address corresponding to the system ID.

      If an SAProuter is needed, you can choose an SAProuter name from SAProuter Name dropdown list as shown in the following window:

      Focus the Group/Server field or try to open the Group/Server drop down list, the drop down list will be generated according to your input data for system ID, message server and SAProuter.

      It may take some time while connecting to the message server and getting the groups/server list from it.
      The maximal time to take is the message server timeout that is set in SAP Logon option (see the section 2.5.5 Configuring the SAP Logon for details)

      Select a group or application server from Group/Server drop down list as follows:

      If the Group/Server can not be generated, an error message will be displayed. One example is shown below:

      You must then change the input data for system ID, message server or SAProuter properly in order that the Group/Server list can be generated.

      If you select the check box Use this page as the first page for next logons..., you'll get the window shown above directly when you press Variable Logon next time, for example:

      You can then enter the required data as described above in this step (step 4) without doing step 1 to 3 (see If necessary, select another connection type ... ).

      After you have entered all the required data, the buttons Next and Logon will be active.

      Go to step 5 to change the default options for the Network and Code Page settings or go to step 7 to logon with the default options for the Network and Code Page settings.

    5. Press Next.

      You see a window, where you can change network settings:

      6. Activate Secure Network Communication:
      This button will be active if the SNC name is defined in the SAP system that you are going to connect to.
      You can then choose this button to turn on SNC mode and select the wished SNC level (e.g. Max. available) by selecting one of the radio buttons under the input field SNC name.

      High speed connection (LAN): This is selected as default.
      Low speed connection (reduced network traffic): You can choose this button to turn on the low speed connection (WAN mode).

      Go to step 6 to change the default options for the Code Page settings or go to step 7 to logon with the default options for the Code Page settings.

    6. Press Next. You see the following window:

      7. Language Settings: Choose the wished Language from the Language drop down list.

      Up-/download Encoding: Choose the wished Encoding from the Encoding drop down list.

    7. Press Logon.

      The active wizard window will be closed and the logon screen to the selected system appears.

    2.4.3 The Shortcuts Tab

    Since SAP GUI release 640 you can create and/or edit SAP shortcuts not only from your desktop (see the section Creating an SAP Shortcut from your Desktop for details) or from a specific screen in the SAP System (see the section Creating an SAP Shortcut from a Specific Screen in the SAP System for details), but also from Shortcuts tab in SAP Logon.

    In the tab Shortcuts, you can

    • add new items to the SAP shortcut list by selecting New Item...
      to define shortcuts that allow you to start SAP transactions, run reports or execute system commands directly after logging on to the defined system
      (see the section 2.4.3.1 Adding a New Entry for details)

    • edit already existing items in the SAP shortcut list by pressing Change Item...
      (see the section 2.4.3.2 Changing Existing Entries for details)

    • delete the items by pressing Delete Item...
      (see the section 2.4.3.3 Deleting Existing Entries for details)

    • Logon to an SAP system via the defined SAP shortcuts by selecting an entry in the SAP shortcut list and pressing Enter or Log on or by double clicking the entry.
      (see the section 2.4.3.3 Logging via an SAP shortcut to SAP system for details)

    2.4.3.1 Adding a New Entry

    1. Click the tab Shortcuts

    2. If there are already SAP shortcuts on your desktop (or under a folder in your file system), you can add each of these SAP shortcuts to the shortcut list just by dragging and dropping its icon to the SAP Logon window.
    3. You can also press the button New Item... on the right side of the SAP Logon window.
      A dialog box with the title "Create New SAP Shortcut" appears.

      Refer to the section Input data for the following fields about how to input the data to the fields on the dialog.
      Note you must maintain the system entries at first to be able to select an item from the dropdown list to the field System Description.

      After entering the required data, button Next and Finish are active. See below:

      Choose button Finish if the default options for Trace Level, Window Size, Working Directory etc. are to be used.
      Otherwise choose button Next, the option dialog appears:

      Change the options as needed. See Input data for ... for details.

    4. The newly created shortcut will appear in the shortcut list.

    5. You can also drag and drop any entry in the shortcut list to the desktop.

    2.4.3.2 Changing Existing Entries

    1. Select the required item from the shortcut list.

    2. Press the button Change Item... on the right side. A dialog box with the title SAP Shortcut Properties appears.

    3. Enter the necessary changes in the entry fields on the tab General (see above) or tab Options (see below).

      See Input data for ... for Details.

    4. Confirm the entries with OK.

    2.4.3.3 Deleting Existing Entries

    1. Select the required item from the shortcut list.

    2. Press the button Delete Item... on the right side and confirm deletion by clicking Yes on the next confirmation dialog that appears.

      If you deselect the check box for "Confirmation of listbox entry delete" (see the section 2.5.5 Configuring the SAP Logon for details) the confirmation dialog will not appear any more.

    2.4.4 Viewing Entries on Each Tab

    You can view the entries on each tab in different ways by clicking the entry area with the right mouse button and calling one of the submenus of View: Large Icons, Small Icons, List, Details.

    The following figure shows a view with Large Icons on the Shortcuts tab:

    The following figure shows a view with Large Icons on the Systems tab:

    A view with Details can look like as follows:

    On the view with Details you can also sort a column by clicking on the header button. The sorted column is displayed with a down or up arrow on the header button.
    By dragging-and-dropping a header button you can change the order of the columns.

    2.4.5 Configuring the SAP Logon
    • Administrative Configuration
      You need to have access to the registry key HKEY_LOCAL_MACHINE. See SAP note 38119 for details.
    • User Specific Configuration
      Refer to the section 2.5.5 Configuring the SAP Logon.
      Note: the check box for "Disable editing functionality" does not appear in the new design. Instead the editing functionality for each tab is enabled by default. To turn it off see SAP note 38119.

    2.4.6 Showing SAP Logon Version

    Refer to the section 2.5.6 Showing SAP Logon Version.

    2.4.7 Closing and Canceling SAP Logon

    Refer to the section 2.5.7 Closing and Canceling SAP Logon.

    2.4.8 Accessing the System Tray Menu

    Refer to the section 2.5.8 Accessing the System Tray Menu.

    2.5 Logging on Using SAP Logon - without Wizard

     As of SAP GUI release 6.40 Patch 9 you can use a new functional Wizard. If this feature is turned off you'll need to read the following sections about working in SAP Logon without Wizard.
    To turn on the Wizard feature and use SAP Logon with Wizard see the section 2.5.5 Configuring the SAP Logon and the section 2.4 Logging on Using SAP Logon - with Wizard for more details.

    2.5.1 Starting SAP Logon

    You can start SAP Logon as follows:

    • Double-click the icon for SAP Logon on the desktop
    • Call the Windows menu Start->Programs->SAP Front End->SAP Logon

    After SAP Logon is started, SAP Logon main window appears (see below) and SAP Logon icon now appears in both the task bar (together with the title like SAP Logon 710) and the system tray (that is the bottom right-hand corner of your desktop).

    2.5.1.1 SAP Logon Main Window

    After you start SAP Logon you get a new window with the title SAP Logon 710 as follows:

    If there are already some SAP Shortcut entries defined, the following window appears if you activate the tab Shortcuts:

    The SAP Logon main window (see the figures above) contains by default two tabs: Shortcuts and Systems tab. The Systems tab is activated by default after starting SAP Logon.

    On the Systems tab, if there are already system entries defined, as shown above, and you would like to log on to your SAP system immediately by selecting the system entry and choosing Log on Button, go to the section Logging on to a System. Otherwise go to Maintaining Logon Entries in SAP Logon.

    On the Shortcuts tab, if there are already SAP Shortcut entries defined, as shown above, and you would like to log on to your SAP system immediately by selecting the SAP Shortcut entry and choosing Log on Button, go to the section Using SAP Shortcuts. Otherwise go to Maintaining SAP Shortcut Entries in SAP Logon.

    2.5.2 Maintaining Logon Entries in SAP Logon

    To be able to maintain logon entries, your system administrator should have maintained the message server ini-file sapmsg.ini for Group Selection or Server Selection, and the SAProuter ini-file saproute.ini, if an SAProuter is used to connect to the message or application servers. To use Group Selection for a system some logon groups like PUBLIC, SPACE and so on must be also configured for that system.
    To see the path of the files sapmsg.ini and saproute.ini:

    1. Call up the SAP Logon dialog box
    2. Click in the top left-hand corner
    3. Choose Options

    2.5.2.1 Adding Entries Using Group Selection

    Procedure

    1. Display the SAP Logon
    2. Choose Groups... to display the Group Selection dialog box.

    3. Enter the system that you want to log on to in the System ID field by choosing an item from the dropdown list or tying the system ID directly.

      4. You can also filter the dropdown list for system ID by clicking the button Filter Systems and entering the key word(s) on the Filter Systems dialog (see 2.5.2.6 Filtering Systems for details).

    4. Select the SAProuter in the field SAProuter if an SAProuter is used to connect to the message server.
    5. Choose Generate list. The system displays the logon groups that are active.
    6. Select a logon group and then press:
    • Logon to log on without adding the logon group to the list.

      To log on with the advanced options you can choose the button with the down arrow (right to the logon button), choose the menu Logon With... and modify the default settings on the Advanced Options dialog (see 2.5.2.5 Modifying the Advanced Options for details).

    • Add to add the logon group to the list without logging on (see 2.5.2.4 Editing Entries for details).
    • Add and Logon to add a logon group to the list and log on immediately.

    2.5.2.2 Adding Entries Using Server Selection

     Procedure
    1. Display the SAP Logon by choosing Start -> Programs -> SAP Front End -> SAP Logon.
    2. Choose Server... to display the dialog box Server Selection.
    3. Enter the system that you want to log on to in the System ID field by choosing an item from the dropdown list or tying the system ID directly.

      4. You can also filter the dropdown list for system ID by clicking the button Filter Systems and entering the key word(s) on the Filter Systems dialog (see 2.5.2.6 Filtering Systems for details).

    4. Select the SAProuter in the field SAProuter if an SAProuter is used to connect to the message server.
    5. Choose Generate list to display the active servers.
    6. Select a server and choose:
    • Logon to log on without adding the server to the list

      • To log on with the advanced options you can choose the button with the down arrow (right to the logon button), choose the menu Logon With... and modify the default settings on the Advanced Options dialog (see 2.5.2.5 Modifying the Advanced Options for details).

    • Add to add the server to the list without logging on (see 2.5.2.4 Editing Entries for details).
    • Add and Logon to add a server to the list and log on immediately

    2.5.2.3 Adding User-Defined Entries

     Procedure
    1. Display the SAP Logon by choosing Start -> Programs ->SAP Front End -> SAP Logon
    2. Press User-Defined... to display the New Entry dialog box as follows:

    3. Enter the following information:

      4. Description: A short description of the system, the first 3 characters should be the System ID

      Application Server: The name of the host that you want to connect to

      SAProuter String: A routing entry (e.g. entry defined in saproute.ini)

      System ID: Specify the system ID of the SAP System that you want to connect to

      System Number: Specify the system number (e.g. 00) of the SAP System that you want to connect to

      SAP System: Specify whether the new SAP System is an R/2 or an R/3 System

    4. Modify the Advanced Options

      5. Click the button Advanced... to display the Advanced Options dialog box and change the default settings as described below in 2.5.2.5 Modifying the Advanced Options.

    2.5.2.4 Editing Entries

     Procedure

    From the SAP Logon, select a system and press Change Item to display the Properties dialog box as follows:

    You can change the Description and SAProuter String manually. From the Application Server dropdown list you can choose another entry (server or group name).
    You can also modify the Advanced Options by clicking the button Advanced... (see 2.5.2.5 Modifying the Advanced Options for details).
    You can change the System ID, the System Number or the SAP System only if the entry is user-defined.

    2.5.2.5 Modifying the Advanced Options

    You can the change the following default settings on the Advanced Options dialog box:

    Default codepage: You can uncheck this check button and choose the language for your logon from the Language dropdown list. The corresponding codepage number appears then in the field Codepage no.

    Unicode OFF: You can check this button to turn off Unicode mode.

    Standard Encoding: You can uncheck this check button and choose another entry from the Encoding dropdown list for doing Up- and Download in the SAP system that you are going to connect to.

    Enable Secure Network Communication: You can check this button to turn on SNC mode if the SNC name is defined in the SAP system that you are going to connect to and choose the wished SNC level (e.g. Max. available) by clicking one of the radio buttons under the input field SNC name.

    Low speed connection: You can check this button to turn on the low speed connection (WAN mode).

    2.5.2.6 Filtering Systems

    You can use this feature when you add an entry using Group or Server Selection (see 2.5.2.1 Adding Entries Using Group Selection or 2.5.2.1 2.5.2.2 Adding Entries Using Server Selection for details).
    After the dialog Filter Systems appears, you can make the following settings:

  • Options

    • Show all systems: when checked the filter is turned off.
    Filter all systems: when checked the filter is made for the system ID list containing all systems defined in the file sapmsg.ini.
    Filter current system list: when checked the filter is made for the system ID list currently shown in the dropdown list on the dialog of the Group or Server Selection. This makes it possible to filter the system ID list sequently.

  • Pattern

    • The first input field is for key word(s) which must be all contained in the system description.

    The second input field (OR:) is for key word(s), one of which should be contained in the system description, no matter if the key word(s) in the first field are contained or not.

    The third input field (NOT:) is for key word(s) which should not be contained in the system description

    An example is shown as follows:

    2.5.2.7 Deleting an existing entry

    From the SAP Logon, select a system and press Delete.

    2.5.3 Maintaining SAP Shortcut Entries in SAP Logon

    Since SAP GUI release 640 you can create and/or edit SAP shortcuts not only from your desktop (see the section Creating an SAP Shortcut from your Desktop for details) or from a specific screen in the SAP System (see the section Creating an SAP Shortcut from a Specific Screen in the SAP System for details), but also from SAP Logon window as follows.

    2.5.3.1 Adding a New Entry

    1. Click the tab Shortcuts

    2. If there are already SAP shortcuts on your desktop (or under a folder in your file system), you can add each of these SAP shortcuts to the shortcut list just by dragging and dropping its icon to the SAP Logon window.
    3. You can also press the button New Item... on the right side of the SAP Logon window.
      A dialog box with the title "New SAP GUI Shortcut" appears.

      Refer to the section Input data for the following fields about how to input the data to the fields on the dialog.
      Note you must maintain the system entries at first to be able to select an item from the dropdown list to the field Description.

    4. The newly created shortcut will appear in the shortcut list.

    5. You can also drag and drop any entry in the shortcut list to the desktop.

    2.5.3.2 Changing Existing Entries

    1. Select the required item from the shortcut list.

    2. Press the button Change Item... on the right side. The same dialog box appears as described in section 2.5.3.1 see number 3.

    3. Enter the necessary changes in the entry fields.

    4. Confirm the entries with OK.

    2.5.3.3 Deleting Existing Entries

    1. Select the required item from the shortcut list.

    2. Press the button Delete Item... on the right side and confirm the deleting by clicking the OK button on the next confirmation dialog.
      If you uncheck the check box for "Confirmation of listbox entry delete" (see the section 2.5.5 Configuring the SAP Logon for details) the confirmation dialog will not appear any more.

    2.5.4 Viewing Logon Entries

    You can view the logon entries in different ways by clicking the entry area with the right mouse button and calling one of the submenus of View: Large Icons, Small Icons, List, Details.

    The following figure shows a view with Large Icons:

    A view with Details can look like as follows:

    You can edit the label to an icon (description of a logon entry) directly on all views.
    On the view with Details you can also sort a column by clicking on the header button. The sorted column is displayed with a down or up arrow on the header button.
    By dragging-and-dropping a header button you can change the order of the columns.

    2.5.5 Configuring the SAP Logon

    To configure the SAP Logon click in the top left corner of the SAP Logon dialog box and choose Options. The following dialog box appears:

    You can change the following settings in the SAP Logon:

    Language

    You can display the SAP Logon in the language that you select. To use this option, the SAP Logon language file must be installed by the system administrator.

    Message Server Timeout in Seconds

    This field specifies how long the SAP Logon waits for a response from the R/3 Message Server. The default value (ten seconds) is normally sufficient, even with slow wide-area network connections. If you experience repeated timeout connection errors, increase this value. If the error persists, there may be a network installation problem.

    With Wizard

    Check this box if you want to work in SAP Logon with wizard. You need to restart SAP Logon in order that the setting can take effect.

    Confirmation of Deletion of Listbox Entry

    Check this box if you want to display a warning before you delete a system or logon group from the SAP Logon.

    Disable editing functionality

    Check this box if you want to prevent logon entries from being changed. If the editing function is disabled, you cannot use the options Properties, Groups, Server, New or Delete in the SAP Logon.

    Configuration files

    You can open the .ini files by double-clicking on them.

    Activate SAP GUI Trace Level

    Check this box if you want to define and activate a network trace (SAP GUI trace). For security and performance reasons you should only activate the trace options to diagnose the system. When you choose this option, you can select the trace level that is used. If you select level 2 or 3, an additional log file is generated that records all incoming data in an encrypted binary code.

    Additional Data Hexdump in Trace

    Check this box if you want to list additional memory areas in the SAP GUI trace. This option is only available if you choose trace level 2 or 3, since these trace the data that must be checked against the hexdump when errors occur. This option can result in both considerable losses in performance and very large trace files.

    Additional Command Line Arguments

    You can enter any additional SAP GUI command line arguments in this input field, for example /WAN if you want to use a low speed connection for all your SAP systems.

    When you have finished changing the settings press OK to return to the initial screen of the SAP Logon.

    2.5.6 Showing SAP Logon Version

    To call up information about the SAP Logon version proceed as follows:

    1. Click in the top left-hand corner of the SAP Logon.
    2. Choose About SAP Logon

    To see the system information choose System Information. The field Current Directory is particularly important because this folder contains trace files and log files.

    To see the DLLs that are used press Loaded Dlls.

    To save version information to your local machine press Save Version Information.

    Enter the name of the file and press Save.

    2.5.7 Closing and Canceling SAP Logon

    To close SAP Logon:

    • Choose the cross [image] on the top right of the SAP Logon dialog box or
    • Click on the top left of the SAP Logon dialog box and choose Close.
    • Call the context menu for the SAP Logon icon in the system tray and choose "Close SAP Logon".
    If there is no SAP system running the SAP Logon window will close and the process saplogon.exe will terminate. However, if you have some SAP system(s) running, calling "Close SAP Logon" just minimizes the SAP Logon window. The process saplogon.exe will be still running. To cancel SAP Logon (terminate saplogon.exe):
    • Log off from all the system(s) and then close SAP Logon (see above) OR
    • Call the context menu "Shutdown SAP Logon" for the SAP Logon icon in the system tray

    2.5.8 Accessing the System Tray Menu

    The system tray consists of a series of icons in the bottom right of the desktop. To display the relevant context menu click on the icon in the system tray with the right mouse button.

    You can use the SAP Logon icon in the system tray to do the following:

    • Access an SAP System
    • Close SAP Logon
    • Shut down SAP Logon
    • Minimize all session windows
    • Restore all session windows
    Note: The context menu to the SAP Logon icon on the system tray shows only the modes started by the SAP Logon process (saplogon.exe or saplgpad.exe). Modes started by other processes like sapgui.exe or sapshcut.exe will not be shown in the modes list and they can not be minimized by choosing the context menu "Minimize all session windows" either. See SAP note 515156 and related notes for details and the workaround.

    3 Elements of a SAP GUI Window

    3.1 The Main Window

    3.1.1 The Menu Bar

    The menu bar is the bar in the screenshot below containing the menu options Display, Edit and so on.

    The following menus are standard on every SAP screen:

    Menu | Description
System | Contains functions that affect the system as a whole - such as Create session, User profile and Log off.
Help | Provides various forms of online help.

    The following menus are standard in most SAP applications:

    Menu | Description
<Object> | Usually named after the object you are currently working with, for example, Material. Contains functions that affect the object as a whole – such as Display, Change, Print, or Exit.
Edit | Allows you to edit components of the current object. Common functions include Select, Edit and Copy. The Cancel option lets you leave a task without saving the data you have entered.
Goto | Allows you to move directly to other screens of the current task. Also contains the Back option, which takes you back one level in the system hierarchy. Before going back, the system checks the data you have entered on the current screen, and displays a dialog box if it detects a problem.

    The following menus may also appear:

    Menu | Description
Extras | Contains additional functions you can choose to complete the current object or an object component, but which you do not need regularly.
Environment | Contains functions to display additional information about the current object.
View | Allows you to display the current object in different views, for example, switching between a single-line and double-line display of a table.
Settings | Allows you to set user-specific transaction parameters.
Utilities | Allows you to do object-independent processing, such as deleting, copying, and printing functions.

    Sometimes not all of the available menus fit on one line in the menu bar. In this case, they wrap to the next line. The dropdown principle remains the same.

    3.1.2 The System Function Bar

    The system function bar is the bar below the menu bar. It consists of a range of icons with general GUI functions and a field where you can enter a transaction code.

    For more information about the meaning of the icons take a look at the standard icons document

    The layout menu, identified by the icon [image] at the far right of the standard toolbar, allows you to customize certain SAP window settings (e.g. cursor position and the TAB function).

    3.1.3 The Title Bar

    The title bar contains the name of the R/3 application currently being displayed. In the graphic below the title bar is the bar containing the title SAP Easy Access ABAP Workbench:

    When a SAP GUI window is inactive (the window does not have the mouse/keyboard focus) the title appears at the top and the menu is hidden. When the SAP GUI title is active the application menu is displayed.

    3.1.4 The Application Bar

    The application bar is located below the title bar. The application bar contains icons relevant to the specific application.

    3.1.5 The Status Bar

    The status bar provides general information on the SAP System and transaction or task you are working on. System messages are displayed on the left of the status bar. There are three fields on the right hand side of the status bar: one with server information, the other two with status information.

    The status fields are described from left to right:

    • On the far left,
      • A cross on a red background identifies an error message.
      • A check mark on a green background identifies other system messages.
    • To hide (or show) the status fields, choose the small white arrow to their left (or right, respectively) [image] .
    • To display the following system information, choose the icon [image] in the first status field:
      • System
      • Client
      • User
      • Program
      • Transaction
      • Response time
    • The second status field displays the server to which you are connected.
    • The third status field specifies your data entry mode. By clicking on this field, you can toggle between the Insert (INS) and Overwrite (OVR) modes.

    3.1.6 The Dynpro Area

    3.1.6.1 Fields

    A field consists of:

    • A field name
    • Field data

    Field data is a single unit of information, such as a customer's name or account number.

    Most of the tasks you perform in the SAP System involve data entry. Typically, you enter data in input fields.

    Input fields vary in length. In some cases, the length of an input field determines how many characters you can enter in the field. In other cases, input fields are scrollable – that is, you only see part of the entry in the field.

    Using the Keyboard for Navigating and Editing Data in Fields

    As an alternative to using the mouse, the following table shows the key combinations you can use to work with fields. These functions are identical to the corresponding MS Windows functions.

    Key combination | Result
¯ | Moves the cursor to the beginning of the next input field or next line.
á | Moves the cursor to the beginning of the previous input field or previous line.
àß | Moves the cursor to the left or right within the input field
CTRL+à | Moves the cursor word-by-word to the right
CTRL+ß | Moves the cursor word-by-word to the left
Home | Moves the cursor to the beginning of the input field
End | Moves the cursor to the end of the input field
SHIFT+à | Marks text character-by-character to the right
SHIFT+ß | Marks text character-by-character to the left
SHIFT+CTRL+à | Marks text word-by-word to the right
SHIFT+CTRL+ß | Marks text word-by-word to the left
SHIFT+Home | Marks texts from the cursor position to the beginning of the line
SHIFT+End | Marks text from the cursor position to the end of the line
CTRL+C, SHIFT+Insert | Copies marked text to the clipboard
CTRL+V, SHIFT+Delete | Inserts text stored on the clipboard
CTRL+X, SHIFT+Delete | Deletes marked text from the input field and copies it to the clipboard
Delete | Deletes text to the right of or highlighted by the cursor
Backspace | Deletes text to the left of the cursor
Insert | Toggles between insert and overwrite modes

    Moving from Field to Field

    To move from field to field with the mouse click the input field that you want to move to. The cursor now appears in that field.

    To move the cursor from field to field using the keyboard, use the following keys:

    Key combination | Moves the cursor to the beginning of
TAB | The next input field
SHIFT + TAB | The previous input field
â | The next input field or next line
á | The previous input field or previous line

    Insert and Overwrite Modes

    You can enter data in two modes:

    • Insert: Any data to the right of the cursor moves to the right as you type.
    • Overwrite: You type over any data to the right of the cursor.

    Typically, you use the Overwrite mode to overwrite data, and the Insert mode to insert data between existing data (for example, if you left out a letter in the middle of a word).

    In the standard system, the default entry mode is Insert. However, you can to switch to Overwrite at any time.

    The status bar shows which mode you are currently in. It displays INS when you are in the Insert mode and OVR when you are in the Overwrite mode.

    To switch entry modes, choose the INS key (insert).

    The current entry mode changes to the new entry mode.

    The INS key is a toggle between the two modes, that is, the entry mode changes each time you choose INS .

    You can also toggle between modes by clicking the entry mode status field at the far right of the status bar.

    Procedure for Insert Mode

    1. Use the cursor to highlight the existing content of the field.
    2. Type in the new data.

    The entire content of the field is replaced by whatever you type.

    Procedure for Overwrite Mode

    1. Make sure you are in the Overwrite mode (OVR in the status bar). If you are not, choose the INS key to switch to this mode.
    2. Place the cursor at the point in the data where you want to start overwriting.
    3. Type over the old data. You can use the DEL key to delete data to the right of the cursor.

    To change other input fields on the screen, repeat steps 2 and 3.

    Entering Data on a Screen

    Most of the tasks you perform in the SAP System involve data entry on a screen.

    To enter data on a screen:

    1. Enter data in all of the appropriate input fields on the screen.
    2. To have the system check the entries and proceed to the next screen in the task, press Enter.

      3. The system checks your entries. If the system finds any errors, for example entries whose format is incorrect, it displays a message in the status bar and places the cursor in the field you need to correct.

      If the system does not find any errors, the next screen appears.

    3. If the system found errors, change the incorrect entries.

      4. If you need help determining valid entries for an input field, see Help on Possible Entries for a Field.

    4. When you have finished making changes, press Enter.

      5. The system checks your entries again. Repeat steps 3 and 4 until the system does not find any more errors and the next screen appears.

    At this point, you can either save your data or cancel the task.

    Typing Data into an Input Field

    To enter data in an empty input field:
    1. Click anywhere in the empty input field.
      2. The cursor jumps to the beginning of the field.
    2. Type in the data.

    Required Input Fields

    If the screen you are working in contains any required input fields, you must enter data in these input fields before you can proceed to the next screen or to the next tab (if the screen contains tabs).

    Generally, if a screen has no required input fields, you can go to the next screen or tab without entering data in any fields. Some screens, however, have required input fields that are not identified. This situation can occur if:

    • You enter data in an optional field that has required fields associated with it
    • You need to enter data in one of several input fields. For example, freight can be delivered on a specific day or week. Neither the Day field nor the Week field are identified as required input fields; however, you must complete one of the fields (not both).

    When you press OK to proceed to another screen, if you have not completed all the required input fields on a screen, the SAP System displays an error message in the status bar. At the same time, it places the cursor in the required input field so that you can enter the required data.

    Changing the Data in an Input Field

    You can change data in an input field by either:

    • Switching the data entry mode to Overwrite, and typing over the data in the field, or
    • Highlighting the entry in the Insert mode and typing the new data

    Some input fields contain data that is for display only; you cannot change or delete the data in these input fields. Input fields whose background is the same color as the background of the screen contain data that you cannot change.

    3.1.6.2 Radio Buttons and Checkboxes

    To enter information in the SAP System, you must sometimes choose between several options. In some cases, you can select only one option; in others, you can select more than one.
    When you can select only one, the options are identified by radio buttons.

    When you can select more than one, the options are identified by checkboxes.

    Selecting Options with Radio Buttons
    • To select an option, click the radio button next to that option. The selected radio button is now filled in.
    • To change your selection, click on a different radio button. The original button is now empty and the new selection is filled in.
    • To select a radio button using the keyboard, use the Tab key to move to the group of options. Use the upward and downward arrow keys to move to the desired option, and press the spacebar.

    Choosing Options with Checkboxes

    • To select one or more options, click the checkbox next to each desired option. The selected checkboxes now contain a checkmark.
    • To deselect a checkbox containing a checkmark, click it again. The checkmark disappears.
    • To select a checkbox using the keyboard, use the Tab key to go to the group of options. Use the upward and downward arrow keys to go to each desired option, and press the spacebar. To deselect a checkbox containing a checkmark, use the arrow keys to go to the option, and press the spacebar. The checkmark disappears.

    3.1.6.3 Pushbuttons

    Pushbuttons are used to execute various functions. The elements Create, Display and Change in the screenshot below are pushbuttons:

    3.1.6.4 Tabs

    The elements Stor. bin, Stock, Invent, Bin sectioning and Statistic in the screenshot below are tabs:

    Tabs are used to switch between different screen contents. In transactions containing multiple screens, they provide a clearer overview. In addition, tabs enable you to proceed from one tab page to the next without having completed all the data. To access a tab page, select the corresponding tab header.

    In some cases, you must complete all required input fields on a tab page before you can move to the next tab page.

    In the case of longer tabstrips, not all of the tabs appear on the screen. The left and right arrows at the top of the tabstrip allow you to scroll to all the tabs.

    If you choose the button at the right of the tabstrip, the system displays a list of all the tabs on the tabstrip. If you select a tab from this list, the selected tab page moves to the foreground.

    Tabs are arranged in order of importance or in the process order of the transaction.

    Tab headers can contain text, icons, or both.

    3.1.6.5 Table Controls

    The table control function enables you to modify the standard SAP table format as necessary. This is especially useful when standard SAP tables contain columns you do not use.

    Table controls provide the following features:

    • Fixed and variable columns. Variable columns have a horizontal scrollbar at the bottom.
    • You can resize columns

      • When you move the cursor to the gridline between two columns, the cursor changes to a double-headed arrow. To change the column width, click the left mouse button, and move the gridline to the desired width.

    • You can rearrange columns using drag and drop:

      • Place the cursor in the header of the column you want to move, hold the left mouse button, and move the column to the desired position.

    • If you move the cursor along the horizontal scrollbar, quick infos appear indicating the column that would jump to the first display position (after the fixed columns) if you click the scrollbar at that location.
    • You can set the optimal column width (as defined in the SAP System) by pressing and holding the Shift key, and clicking the left mouse button within any column header.
    • Icons at the bottom of a table are specific to that table. Some icons commonly used in tables are:

    Icon | Name of Icon | Description
 | Choose detail | Displays all information currently available on the selected item
 | Create line | Adds a line
 | Delete line | Deletes a line
 | Select all | Selects all table entries
 | Deselect all | Deselects all table entries

    3.2 Dialog Boxes

    The SAP System displays dialog boxes when it:
    • Requires more information before it can proceed
    • Is providing information, such as messages or specific information about your current task.

    Before you can continue, you must choose an action from a dialog box. To choose an action, press one of the buttons at the bottom of the dialog box.

    If you end a task without saving your data, or you choose a function that may cause you to lose data, the SAP System usually displays a dialog box in which you are asked to confirm or cancel your action.

    3.3 Displaying the System Status

    To display status information about a session choose System -> Status in the transaction field.

    4 Working with Sessions

    A session is basically another SAP instance on your screen. Multiple sessions allow you to work on more than one task at a time. This can save you time and reduces the need to jump from screen to screen.

    A record can only be edited by one user in one session at a time. Multiple write access to the same record is denied.

    4.1 Displaying a List of all Sessions

    To display a list of all sessions for a system, enter /o in the transaction field. The following dialog box appears:

    4.2 Creating a New Session

    The system administrator specifies the maximum number of sessions (from 2 to 6) you can have opened at any one time. Each session you create is as if you logged on to the system again. Each session is independent of the others. An operation on one session (for example, closing it) does not cause the affect the other sessions.

    Too many open sessions can result in slower system performance. Therefore, your system administrator may limit the number of sessions you can create to fewer than six.

    To create a new session from anywhere in the system:

    • Choose System -> Create session from the menu bar, or
    • Choose

    The system opens an additional window. The new session becomes the active session and remains the active session unless you click on a different (open or new) session.

    Each session has a session number. It is part of the system information in the status bar and is located next to the transaction name.

    4.3 Closing Sessions

    After you have finished using a session, it is a good idea to end it. Each session uses system resources that can affect how fast the SAP System responds to your requests.

    If you have only one session open and you end it, you will log off from the system. However, before logging you off, the system prompts you to save your data.

    Before you end a session, save any data you want to keep. When you end a session, the system does NOT prompt you to save your data.

    You can close a session in the following ways:

    • Choose System -> End session
    • Click on [image] in the right hand corner of the active session.
    • Enter /i in the transaction field of the session you want to close
    • To close a specific session enter /i followed by the number of the session you want to close in the transaction field of any of the sessions. For example, /i3
      • to close the third session.

    You can close all the sessions at once in two ways:

    • Enter /nend in the transaction field.
    • Enter /nex in the transaction field.
    The difference between the two commands is that /nend prompts you to confirm that you want to close all the sessions whereas /nex closes all the sessions without prompting.

    5 Working with the Clipboard

    You can transfer field contents to and from the operating system clipboard using the operating system Clipboard Interface. You do not use the functions provided in the Edit menu which are only meant for communication between SAP applications.

    5.1 Operating on single fields

    You can operate on single fields as follows:

    1. To select a field or the text you want to copy or move, click and drag the cursor over the desired text. The selected text is highlighted.
      • To remove the information from an input field and place it onto the clipboard of your operating system, choose Cut ( CTRL + X ). The field is now blank.
      • To copy the selected information onto the clipboard, choose Copy ( CTRL + C ). Data remains in the field.
    2. To paste the text, position the cursor where you want the information and then choose Paste ( CTRL + V ). The text is pasted at the current cursor position.
      3. The transferred data remains in the clipboard until you use Cut or Copy again to move or copy new texts onto the clipboard. You can insert the texts into fields on another SAP screen or an external application.

    5.2 Operating on multiple fields

    To copy the data from several fields or different field types of the screen onto the clipboard, you must turn on the selection mode:

    1. Choose [image] Clipboard -> Mark ( CTRL + Y ). The pointer changes into a crosshair cursor.
    2. Click in one corner of the area you want to copy, hold the mouse button down and drag the cursor to the diagonally opposite corner (for example, from top left to bottom right). The system displays a rectangle to indicate the selected area.
    3. Release the mouse button when the rectangle covers the entire text you want to copy.
    4. Choose Copy ( CTRL + C ) or Cut ( CTRL + X ). The selected text is copied onto the clipboard. When you choose Cut, the selected texts are deleted from the input fields.

      5. The clipboard now contains all the information from the fields you have selected, including the field names and short descriptions. You can use this method to copy the content of all selected input fields into a screen with the same layout. Because the field names are appended to the previous input field, they will be truncated. Be aware, that you copy in this mode only the visible part of the fields; the non-visible part of scrollable input fields will also be truncated. This feature can also be used for copying SAP information and pasting it into an external program, such as Microsoft Word.

    You can also execute the clipboard functions by clicking [image] -> Clipboard -> Mark/Cut/Copy/Paste.

    6 Adjusting the Local Layout

    6.1 Options

    6.1.1 Options

    Choose [image] -> Options -> (tab) Options to change the following settings:

    • Quick Info
    • Messages
    • System
    • Dynpro Size Check
    • List Links Visualization

    You make these changes using the following dialog box:

    6.1.2 Cursor Settings

    Choose the tab Cursor to change the following default cursor settings:

    • Position, when you select an input field with a mouse-click or tab
    • Width
    • Display in lists, so that the cursor marks:
      • Only one character
      • An entire column

    The following dialog box appears:

    Cursor Position

    Setting | Function
Use Accelerator Keys | On: Places the cursor to a Dynpro-Field by pressing Accelerator Keys (see Appendix A6: Other Hot Keys) Off: The feature is turned off
Automatic TAB at Field End | For more information, see Tabbing Between Fields
Note Cursor Position in Field at TAB | On: Places the cursor exactly where you were when you last left an input field Off: Places the cursor at the beginning of the input field
Position Cursor to End of Text | On: Places the cursor at the end of a text in an input field when you click to the right of the text Off: Places the cursor exactly where you click
Selecting the text in edit field in insert mode | On: Selects and highlights the text when you tab to an input field. The session must be in insert mode. Any input in this field will clear the field. Off: When you tab to the next field the text is not highlighted. The cursor appears at the end of any text already in the field.

    Cursor Width

    Setting | Function
Narrow Cursor | On: A narrow cursor is used.
Wide Cursor | On: A wide cursor is used.
Block Cursor | On: A block cursor is used. It is wide or narrow depending on the other settings for the cursor width.

    Others: Cursor in Lists

    To mark only one character activate this checkbox.
    To mark an entire column or field deactivate this checkbox.

    6.1.3 Local data Settings

    Choose the tab Local data, the following dialog box appears:

    The following settings can be changed:

    History

    Setting | Function
Off | No input history is available.
On | Input history is available. Your input will be stored in the database locally. A list will be shown to the input field with focus when you make input or press the BACKSPACE key.
Immediately | The history list will be shown immediately to the field with the focus before input is made.
Expire time | specifies, when entries are considered obsolete and can be deleted.
Maximum permitted file size | The maximum file size of the database stored locally for history items. This size must be greater than 0, because otherwise no history is available.
Maximum number of entries | specifies how many values per input field should be stored. Numbers between 1 and 20 are allowed values.
Clear history | All history items will be deleted. This is across all the systems.

    Local cache

    Setting | Function
Maximum cache size | specifies the maximum total size of all cache files.
Maximum cache file size | specifies the maximum size of one cache file.

    Front End Security

    Notify on Security-Relevant Events:
    If this option is switched on, a popup will be displayed whenever the application server of an SAP system tries to execute one of the listed operations on the client side (see also SAP Note 1038799):
    • Environment variable modification
    • File system modification (i.e. deleting, creating, copying, and changing files or directories as well as changing file attributes)
    • Registry modifications (i.e. deleting, creating, and modifying registry keys and values)
    • Program execution by CL_GUI_FRONTEND_SERVICES or GMUX

    Directory for local data

    This is the directory to store the input history and the cache files. The directory must exist and you must be able to write to it.
    The history files like SAPLocalData.mdb and SAPLocalData.ldb will be stored direct under this directory.
    The cache files will be stored under its subdirectories SAP_Cache_/Cache1, SAP_Cache_/Cache2 etc..

    6.1.4 I18N Settings

    Choose the tab I18N, the following dialog box appears:

    The multi-byte functionalities can be activated or deactivated here. You must restart SAP Logon in order that this setting takes effect.

    6.1.5 Expert Settings

    Choose the tab Expert, the following dialog box appears:

    The following settings can be changed:

    Controls

    Setting Function
    Show keys in all dropdown lists
    Checked: | Keys are also displayed in dropdown lists. This setting is useful for experts who prefer working with keys rather than textual descriptions.
Unchecked: | Only texts are displayed in dropdown lists.
    Sort items by key
    Checked: | All items in the dropdown list are resorted by key.
Unchecked: | The items are sorted according to the transaction settings. There is no change made by the front end.

    Batch Input

    Checked: | Dialog Box for OK-Code enabled.
Unchecked: | No Dialog Box for OK-Code.

    Copy and Paste

    Checked: | If a string, which is copied with Ctrl+Y, Crtl+C (matrix copy), is pasted into a field and the string is longer than the visible part of the field then the end of the string, which no longer fits into the field, is pasted into the next field and the insert mode is ignored (matrix paste).
Unchecked: | Even if a string is copied with Ctrl+Y, Crtl+C (matrix copy), it is pasted not only into the first field, but also in the part which is invisible.

    6.1.6 Trace Settings

     In order to create SAP front end trace files for error analysis (see the section 7.5 SAP Front End Trace under 7 Error Analysis),

    choose the Trace tab. The trace dialog box will be displayed as follows:

    Concerning the trace mode, you usually need to activate Error, Warnings, and Monitor. Sometimes, you'll be also asked to activate Timestamps for performance tracing or to select Memory for tracing the memory usage of SAP GUI.
    Then, you select one or more components to be traced. If you choose Select All, the whole list of traceable components will be selected.
    The following example shows how you should proceed to execute an automation trace:

    1. Choose Deselect All, if necessary.
    2. Select the checkbox Automation.
    3. To generate detailed output, select the checkbox Detailed Output.

      4. If you activate the checkbox Show Window, you see the generated text in a separate window. However, this has an adverse effect on performance.
    4. Choose Enable.
    5. Choose OK.
    6. Try to reproduce the error.

    To turn off the trace settings, open the trace dialog box again:

    and choose Disable. The trace file will be opened automatically by choosing Disable if Edit on Disable is checked. Otherwise you can open the trace file manually by choosing View Trace.

    To close the trace dialog box press OK.

    6.1.7 Scripting Settings

    Choose the tab Scripting, the following dialog box appears:

    You can enable (default setting) or disable Scripting here.

    6.1.8 Accessibility Settings

    You can view your accessibility settings on the Accessibility tab:

    By default, the accessibility mode status is Disabled. If you want to change the accessibility mode, for example from Disabled to Enabled, you have to do this in the SAP Configuration, see 6.14 SAP Configuration.

    If the accessibility mode has been enabled in the SAP Configuration, the options under Accessibility Mode Options will be active for you to make a setting change as shown in the following figure:

    6.2 New Visual Design

    To customize the new visual design, choose [image] -> New Visual Design....
    The following dialog will be displayed:

    6.2.1 General Settings

    To change the general settings choose the tab General.

    6.2.1.1 Active Theme

    The active theme determines the overall new visual design scheme of the interface.

    You can choose among the following themes:

    • System Dependent
    • Enjoy
    • High Contrast Theme
    • Streamline
    • Tradeshow

    The default theme is set to "System Dependent" by the SAP GUI installation.
    The new selected active theme can only take effect to the new SAP GUI modes.
    The themes "Enjoy" and "High Contrast Theme" are system independent and take effect to the new modes of all the systems.
    The theme "System Dependent" means, that the active theme will depend on the system setting, which can be one of the following themes(the default system setting is "Enjoy"):

    • Enjoy
    • Streamline
    • Tradeshow

    6.2.1.2 Sound

    On: Sound is activated
    Off: Sound is deactivated

    6.2.1.3 Font Size

    You can adjust the font size using the slider.

    To apply the changes press Apply or OK. The latter closes the dialog box.

    6.2.2 Color Settings

    If you are using the "classic" SAP graphical user interface (GUI) and you need information on customizing the color settings, see the Online Help for SAP Releases up to and including 4.5B.

    To change the color settings choose the tab Color Settings.

    The following dialog will be displayed:

    You can customize your SAP graphical user interface (GUI) color settings for the themes "Enjoy", "Streamline" and "Tradeshow" by choosing from among a number of predefined (default) color schemes or by selecting a color scheme manually.

    Only the SAP-defined default color schemes ensure optimal readability of all items on a screen.

    To change the default color setting for a theme, choose the active theme from the dropdown list and place the cursor on the desired color setting after the color settings list for this theme appears. The name of the selected color scheme is highlighted and displayed additionally in the line above the selection area. The selected color scheme is displayed in the preview window on the right.
    To apply the changes press Apply or OK. The latter closes the dialog box. The changes will be applied to all the SAP GUI modes which have the same active theme.

    Creating a Customized Color Scheme

    Foreground and Background Hues:

    To create your own color schemes use the sliders in the Foreground Color and Background Color boxes.

    By default, the foreground and background hues are linked - that is, as you adjust the slider, the predefined intervals between the shades in a default color scheme stay the same.

    • To change your color scheme while keeping these default intervals, select a predefined color scheme, and adjust the slider to the desired hue.
    • To change the foreground and background hues individually, you must first deselect the Link checkbox.

    While you are trying out colors, you can preview the results:

    • In the simulated SAP window on the right (for the complete color scheme)
    • In the shaded bar in the top right-hand corner of either slider box (for individual hues)

    Color Saturation and Luminosity:

    To fine tune the hue, saturation and luminosity of the colors double-click the preview bar in the upper right corner of the color boxes Foreground Color and Background Color.

    The Color Picker dialog box appears.

    To fine tune the foreground and background color, use the slider box on the left.

    In the color palette on the right, a small ring localizes the selected color in relation to neighboring shades, with respect to:

    • Saturation (vertical axis)
    • Luminosity (horizontal axis)

    To adjust either of these variables, click inside this palette and drag the cursor to the desired position. The localizer disappears until you let go of the cursor. Alternatively you can click directly on the desired color.

    Gradual Color Shift

    You can choose to have your color settings shift gradually in the course of the day.

    To do this, select the Activate Time Settings checkbox. The following additional options now appear in the lower part of the SAP GUI Settings dialog box:

    To set the time frame in which you want your colors to shift:

    1. Select the Start or End radio button on the right, and use the time buttons to define the respective time settings.
    2. In the subsequent dialog box, enter the desired time ( hh:mm ) in the Custom field. If applicable, choose Set As Default.
    3. Define the start and end colors by activating the corresponding radio buttons and use the color sliders. The preview bars below the Foreground Color and Background Color color boxes display the colors as a function of time.

    Saving and Deleting Your SAP GUI Customizing Settings

    1. When you have finished defining your settings, the new color scheme takes effect for all SAP sessions that are currently open.
    2. To save your new color scheme, choose Save As..., and enter a name in the subsequent dialog box. Press OK.
    3. To delete a color scheme from the list, Press Delete.
    4. If you have customized any of the default color schemes and you want to revert to the original defaults, choose Restore. This restores the original default settings without affecting the settings you have created.

    To exit the SAP GUI Settings dialog box, Press Close.
    To set a color setting to a system, see the section 6.3 Set Color To System

    6.3 Set Color To System

    To set a color setting to the current system choose [image] -> Set Color To System...
    The following dialog will be displayed:

    Choose the desired color setting from the color settings list on the left side by placing the cursor on the desired color setting. The name of the selected color scheme is highlighted and a help text is displayed in the line above the selection area. The selected color scheme is displayed in the preview window on the right.
    To apply the changes press OK. The changes will be applied to all the SAP GUI modes (old and new) of this system.
    To close the above dialog without changing any settings, press Cancel
    To add new color settings to the list on the left side or to change the color scheme, see the section 6.2.2 Color Settings

    6.4 Clipboard

    Refer to the section Working with the Clipboard.

    6.5 Generate Graphic

    To generate a screenshot of the current screen in a separate window choose [image] -> Generate graphic

    6.6 Create Shortcut

    To create a SAP shortcut to the current transaction choose [image] -> Create shortcut ...(see the section Creating an SAP Shortcut from a Specific Screen in the SAP System about more information)

    6.7 Activate GUIXT

    GuiXT allows you to simplify transactions in an SAP System without having to modify them. You can hide screen elements that you do not need, or add elements such as checkboxes, pushbuttons, graphics, and documentation if this is beneficial to your system. The adjustments for a specific screen are recorded in a GuiXT script using simple keywords. The script is executed whenever you call its corresponding screen.

    You can find more information on the GUIXT homepage on the SAP Service Marketplace.

    To activate/deactivate GUI XT choose [image] -> Activate GUI XT.
    A checkmark against the menu option means that GUI XT is already activated. Choosing the menu option changes the setting to the opposite of what it already was. For example, if it was activated then choosing the menu option deactivates GUI XT.

    6.8 Script Recording and Playback...

    To record or/and play back the script choose [image] -> Script Recording and Playback....
    A popup appears as follows:

    You can then record Script, playback Script or stop playing by choosing the icon in the middle, on the left or on the right.

    6.9 Script Development Tools...

    To show Script Development Tools choose [image] -> Script Development Tools....

    6.10 Default Size

    To change the size of the screen to its default size choose [image] -> Default size.

    6.11 Information about the Front End

    For version information about the front end choose [image] -> About... The following dialog box is displayed:

    You can see the system information and the loaded Dlls in the same way to SAP Logon version information (see the section 2.5.6 Showing SAP Logon Version).

    6.12 Other general Settings under Customizing Local Layout

    You can also customize the local layout with the following menu options:

    • Hardcopy

      • This prints out the screen.
    • Quick Cut + Paste

      • When this function is activated you can cut and paste as follows:
      1. Select the text to be cut and pasted using the mouse.
      2. Click where the text is to be inserted.

        3. The text is inserted where you click.
    • Spelling Check

      • When you choose this menu option, all the input fields in a screen are checked, based on a hidden MS Word document. The results are displayed as follows:
      • A text in the status line indicating that there are no errors
      • A list of incorrect words in the status line
      • A dialog box if there is a large number of incorrect words
      This functionality has the following prerequisites:
      • MS must be installed on the PC
      • The settings for spellchecking must exist
    • SAP GUI help

      • This calls up this documentation.
    • About...

      • This generates the dialog box SAP Version Information shown above.

    6.13 Internationalization Settings under Customizing Local Layout

    To get the internationalization menus to be shown under Customizing Local Layout, you must activate the multi-byte functionalities by clicking [image] -> Options... and the tab I18N (see the section 6.1.4 I18N Settings).

    After that, choose [image] and the following internationalization menus will appear:

    • Character set

    • Font(I18N)...

    • Options(I18N)...

    6.13.1 Character set

    This shows a submenu group with all the character sets supported by SAP.
    You can choose one of them which suits your logon language to the SAP system.

    6.13.2 Font(I18N)...

    This shows the Font dialog for you to choose a font suitable for your SAP system logon language.

    6.13.3 Options(I18N)...

    This shows the Options(I18N) dialog for you to make other internationalization settings.

    • On the tab IME you can make settings for the input method (IME).
    • On the tab Encoding you can make settings for Text Encoding, System Fonts, Keyboard Layout and SAP Code-page.
    • On the tab Graphic you can make settings to change the text font size, set a language to the local texts and choose the PostScript font.
    • On the tab Others you can make settings for Shortcut Key, Function Key, System Parameters, Font Dialog, Local Texts and RTL/LTR Layout

    6.13.3.1 Tab IME

    On the tab IME you can make the following settings:

    Multibyte Input

    Setting | Function
Continuous Input on 2 lines | Input multi-byte texts on 2 lines (input fields) continuously.

    Close IME automatically

    Setting | Function
On numeric or right-justified fields | Close IME on numeric or right-justified fields.
On one-byte fields | Close IME on one-byte fields.

    Alternative IME On/Off Key

    Setting | Function
Shift + Space | Use "Shift + Space" for IME On/Off.
Ctrl + Space | Use "Ctrl + Space" for IME On/Off.
None | Specify no alternative IME On/Off key.

    Information

    Setting | Function
IME Library | File name of IME library.
Character Set | Character set of the system font.

    6.13.3.2 Tab Encoding

    On the tab Encoding you can make the following settings:

    Text Encoding

    Setting | Function
Auto-detect Latin1 characters | Latin1 characters are displayed even with multi-byte character set.

    System Fonts

    Setting | Function
Adjust menu font to the character set | Adjust the menu font to the current character set (useful only for Windows NT).
Adjust title font to the character set | Adjust the title font to the current character set (useful only for Windows 98).

    Keyboard Layout

    Setting | Function
Adjust font to the input language | Adjust the font and character set to the keyboard layout.

    SAP Code-page

    Setting | Function
Adjust font to SAP code-page at logon | Adjust the font and character set to SAP code-page sent from the server. Default is ON.

    6.13.3.3 Tab Graphic

    On the tab Graphic you can make the following settings:

    Text Font

    Setting | Function
User setting | Select the fonts for SAP Graphics. Normally they are selected internally.

    Local Texts

    Setting | Function
Always use this language | Display local texts of SAP Graphics in this language (example: "EN") independently of the logon language.

    PostScript Font

    Setting | Function
Font file to load | Specify the file name of PostScript font to print SAP Graphics.
Font name | Specify the font name of PostScript to print SAP Graphics.

    6.13.3.4 Tab Others

    On the tab Others you can make the following settings:

    Shortcut Key

    Setting | Function
Hide shortcut key for multi-byte menu | Don't display shortcut keys for multi-byte menus.

    Function Key

    Setting | Function
Send no function key when IME is open | Send no function key to the server when IME is open.

    System Parameters

    Setting | Function
Menu Font | Change the menu font
Title Font | Change the title font

    Font Dialog

    Setting | Function
Select proportional font | Show the font dialog for the proportional font to select it manually.
Only fonts of the same character set | List only the fonts of the current character set on the font dialog.

    Local Texts

    Setting | Function
Use SAP Logon's language setting | Display local menus and messages of SAP Front end in SAP Logon's language independently of the logon language.

    RTL/LTR Layout

    Setting | Function
Set layout according to the logon language | Set RTL layout when the logon language is Arabic or Hebrew. Default is ON.

    6.14 SAP Configuration

    After SAP GUI installation, a new entry for the SAP Configuration is added to the Windows control panel (Start -> Settings -> Control Panel
    -> SAP Configuration). You can also create a shortcut to this function by dragging the control panel entry to your desktop.
    When opening the SAP Configuration, the following dialog box appears:

    In the SAP Configuration you can make configurations for the
    • SAP graphical user interface (GUI)
      By default, the New Visual Design is on.
    • Accessibility Mode
      By default, the Accessibility Mode is off and the option is disabled.
    • Scripting Notification
      By default, the Scripting Notification is off.

    To configure the SAP graphical user interface (GUI),

      you can choose between:

    • The new SAP GUI Visual Design and
    • The "classic" SAP GUI

      • (These settings are also available for other SAP applications and executable programs.)

      To switch to the "classic" SAP GUI:

    • Uncheck the check box Use New Visual Design or click the screenshot on the left.

      • The classic design on the left is now displayed on top of the new SAP GUI design as shown below:

    • Press OK.
    • Open a new session for the "classic" setting to take effect.

      To switch back to the New Visual Design:

    • Make sure that the option Use Accessibility Mode is unchecked.
      Note: if the Accessibility Mode is on, the option Use New Visual Design will be deactivated.
    • Select the check box Use New Visual Design or click on the screenshot on the right.
    • Press OK.
    • Open a new session for the "new visual design" setting to take effect.
    • Additionally, the new visual design option can be applied to specific applications. You can choose the Applications tab to get a dialog box with an empty white area:

      • Here you can enter (by choosing Add) or delete (by choosing Remove) the names of applications and programs to which you want to apply the specified setting. When you have finished making your settings, press Apply or OK.

    To configure the Accessibility Mode:

    • Make sure that the option Use New Visual Design is unchecked.
      You can only turn on the Accessibility Mode for the "classic" SAP GUI.
    • Check or uncheck the option Use Accessibility Mode to turn the Accessibility Mode on or off.
      Note: If the Accessibility Mode is on, the option Use New Visual Design will be deactivated.

    To configure the Scripting Notification:

      Check or uncheck the option Notify When a Script Attaches to a Running SAP GUI to turn the Scripting Notification on or off.
      You can set this option for both the "classic" SAP GUI and the New Visual Design. One example is shown below:

    7 Error Analysis

    You may be asked to generate some of the trace and log files (described below) to help us to analyze the errors.
    Note: After the trace has been completed, don't forget to turn off the trace. Otherwise your performance will be adversely affected.

    7.1 Sap Logon Pad Trace

    If you are using SAP Logon instead of SAP Logon Pad, look at the section SAP Logon Trace.
    You can switch on the trace for Sap Logon Pad as follows:

    1. Close all SAP GUI windows and the SAP Logon window opened before. Make sure by calling the Windows task manager that there is no process like saplogon.exe or saplgpad.exe or sapgui.exe running. If yes, terminate it.
    2. Find the icon with the name "SAP Logon" or "SAP Logon Pad" on the desktop and copy it to a new icon with a name like TraceSAPlogon or TraceSAPlogon-pad.
    3. Click the icon of TraceSAPlogon or TraceSAPlogon-pad with the right mouse button and call the context menu 'Properties'.
    4. Choose the tab 'Shortcut' on the popup of properties.
    5. In the field 'Target', add a space and then -TRACE=3 at the end of the old text(not before but after the character ") like: "C:\Program Files\SAP\Frontend\SAPGUI\saplogon.exe" -TRACE=3 or "C:\Program Files\SAP\Frontend\SAPGUI\saplgpad.exe" -TRACE=3
    6. The directory given in the field 'Start in:' is the current directory for the trace files. It would be easier for you to recognize the correct trace files if there are no files under this directory.
    7. Press OK button.
    8. Double-click the icon TraceSAPlogon-pad.
    9. Start SAP Logon Pad and reproduce the problem.
    The trace files saplogon_*.trc, saplgdll_*.trc, sapdpams_*.trc will be written in the current folder. To find the path of the current folder look in the field Start in on the properties popup of the TraceSAPlogon-pad icon.
    Another way of seeing the path is as follows:
    • Click the icon to the left of the title SAP Logon Pad 710 in the SAP Logon Pad window
    • Choose the menu About SAP Logon
    • Click the button System Information.

    7.2 SAP Logon Trace

    If you are using SAP Logon Pad instead of SAP Logon, go to the section SAP Logon Pad Trace.
    You can switch on the trace for SAP Logon by following the instructions for SAP Logon Pad Trace above only you double-click on the icon TraceSAPlogon in step 7. 1. c).

    • Double-click the icon TraceSAPlogon
    • Start SAP Logon and reproduce the problem.
    The trace files saplogon_*.trc, saplgdll_*.trc, sapdpams_*.trc will be written in the current folder. You can see the path of the current folder in the field Start in on the properties popup of the TraceSAPlogon icon.
    Another way of seeing the path is as follows:
    • Click the icon to the left of the title SAP Logon 6x0 in the SAP Logon window
    • Choose the menu About SAP Logon
    • Clicking the button System Information.

    7.3 Sap Shortcut Trace

    For Sapshortcut as a file *.sap like an Sap shortcut on the desktop

    1. Turn on the trace setting:
    2. Click on the shortcut icon with the right mouse button and call the context menu edit. In the edit dialog box change the Trace level to Level 3.
    3. Set the Working directory where the trace files will be stored You can use the default working directory set in the *.sap file. The setting can be seen on the shortcut edit popup and can be changed there.
    4. Restart the sapshortcut with the new settings in order to create the trace file(s) sapshlib.trc under the working directory. Meanwhile SAP GUI log and trace files(*.log and *.trc) will be also created under the same directory while SAP Shortcut was attempting to start Sapgui.
    5. Get the trace file from the working directory and provide it to SAP by attaching it to a customer message in the SAP support system.

    For Sap shortcut command line

    1. Please add two additional parameters -trc=3 for the trace level and -wd="C:\temp" for working directory at the end of the command line.
    2. Run the command line and then close the SAP Shortcut or SAP GUI window started by the command line. The SAP Shortcut trace file sapshlib.trc will be created under the working directory Meanwhile SAP GUI log and trace files(*.log and *.trc) will be also created under the same directory while SAP Shortcut was attempting to start SAP GUI.
    3. Get the trace file from the working directory and provide it to SAP by attaching it to a customer message in the SAP support system.

    7.4 Sap GUI Trace

    You can generate SAP GUI trace files and log files.

    7.4.1 If You Are Running SAP Logon Pad

    Proceed as follows:

    1. Create the icon TraceSAPlogon-pad as described in the section SAP Logon Pad Trace
    2. Start SAP Logon Pad by double-clicking the icon
    3. Logon to your SAP system and reproduce the problem.
        4. If you get an error message asking you: Do you want to see detailed error information?
      1. Press Yes and then
      2. Press OK in the next dialog box so that the trace file contains the error message.
    4. After the error occurs, log off from your SAP system.

      5. The trace files will be written in the current folder.
      To see the path of the current folder:
      1. Click on the icon to the left of the title SAP Logon Pad 6x0 in the SAP Logon Pad window
      2. Choose the menu About SAP Logon
      3. Click the button System Information.

    7.4.2 If You Are Running SAP Logon

    There are two ways of turning on the trace in this case:

    Method 1:

    • Create the icon TraceSAPlogon as described in the section Trace for SAP Logon Pad
    • Start SAP Logon by double-clicking the icon
    • Log on to your SAP system
    • Reproduce the problem.
    If you get an error message asking you: Do you want to see detailed error information? press Yes and then OK in the next popup, so that the trace file will contain the error message. After the error occurs, log off from your SAP system. The trace files for SAP GUI program like sapgui_????.log and sapgui*.trc will be written in addition to the traces for SAP Logon program under the current directory. You can find the path for the current directory by clicking the icon left to the title "SAP Logon 6x0" in the SAP Logon window, choosing the menu About SAP Logon and clicking the button System Information.

    Method 2:

    Turn on the trace for the SAP GUI program separately:
    1. Call up the SAP Logon window.
    2. Click on the top left of the window.
    3. Choose Options.

      4. The following dialog box appears:

    4. Choose Activate SAP GUI Trace Level
    5. Select the relevant trace level:
      • Level 1: Errors
      • Level 2: Errors and Warnings
      • Level 3: All (diagnostic trace)
    6. Press OK

    7.4.3 If You Are Going to Run SAP Shortcut

    If you are going to log on to your SAP system via an SAP Shortcut, turn on the trace as described in the section Trace for SAP Shortcut and start the SAP Shortcut. The trace files for SAP GUI program like sapgui_????.log and sapgui*.trc will be written in addition to the traces for SAP Shortcut under the working directory defined in the SAP Shortcut.

    7.5 SAP Front End Trace

    There are two ways to activate this trace:

    1. You can turn on the trace for the following operations on an existing SAP GUI window as follows:
      • Click the icon [image] on the active SAP GUI window and select menu option Options....
      • On the option dialog, select the Trace tab.
      • On the Trace tab, activate Error, Warnings, and Monitor as trace modes. Sometimes, you also need to activate Timestamps for tracing performance or Memory for tracing memory usage by SAP GUI. Then, select in the list below one or more of the required trace components. Under Options, deactivate the flag Show Window.This accelerates working because the trace output is written to a file and not displayed in a window. For details see the section 6.1.6 TraceSettings.
      • Reproduce the error on the active SAP GUI window.
      Note: You should only turn on the trace directly before the error occurs. After the traces have been created, turn off the trace as described in the section To turn off the trace, ....

    2. You can turn on the trace for the newly opened SAP GUI windows by

      • Opening the sapfront.ini file under the Windows directory before you start a SAP GUI window. If the file does not exist yet, create it.
      • Adding or changing the following lines in the file:
        [Trace]
        Mode=0xFFFCFFFF
        Components=*
      • And then starting a new SAP GUI window.
        All operations are now written into a trace file (as a result, the program slows down significantly).
      IMPORTANT:
      In order to normalise the performance, deactivate the trace immediately after the tracing by making the following changes in the sapfront.ini file:
        [Trace]
        Mode=0
        ;Components=*

    The result is a trace file whose name is specified on the trace tab of the options dialog. You can send this file to SAP by attaching it to a customer message in the SAP support system.

    Appendix A: Navigating Using the Keyboard

     Keyboard control for user interface elements

    Appendix A1: Scrolling to View Information

    When you view information (for example, a list or online help), not all of the information may fit in your window. To see the additional information use the scrollbars.
    To move:

    • Up and down, use the vertical scrollbar
    • Left and right, use the horizontal scrollbar

    To move | Do this
Up or down one line | Choose the up or down scroll arrow on the vertical scrollbar
Left or right one character | Choose the left or right scroll arrow on the horizontal scrollbar
Up or down one page | Click above or below the slider box on the vertical scrollbar
Left or right the width of the page | Click to the right or left of the slider box on the horizontal scrollbar
To a certain position in the information (up or down) | Drag the slider box on the vertical scrollbar to the approximate location of the desired information, and release the mouse button.
To a certain position in the information (left or right) | Drag the slider box on the horizontal scrollbar to the approximate location of the desired information, and release the mouse button

    You can also:

    Move to | Icon | Key combination
First page |  | SHIFT + F9, CTRL + PageUp
Last page |  | SHIFT + F12, CTRL + PageDown
Previous page |  | SHIFT + F10, PageUp
Next page |  | SHIFT + F11, PageDown

    Appendix A2: The Tab Chain
    Hot Keys Cursor or Focus Movement Example
    TAB
    SHIFT+TAB     		Jumps to the next (TAB) or previous (SHIFT+TAB) input-enabled elements. Elements are input-enabled fields, pushbuttons, radio button groups, checkboxes, ActiveX controls, button bars, toolbars, but not menu bars.
    1. OK-Code field and button bar are included in the tab chain for tab navigation.
    2. If an OCX control will not focus, a focus rectangle will be drawn on its container in order to visualize the current focus, for example the SAP image control.
             VA01

    Sap Easy Access SE80
    right ALT key+TAB
    right ALT key+SHIFT+TAB     		Jumps to the next (right ALT key+TAB) or previous (SHIFT+ right ALT key+TAB) elements, no matter whether it is input-enabled or not. System status popup.
    CTRL+TAB
    CTRL+SHIFT+TAB     		Jumps to the first element of the next group of elements (CTRL+TAB) or the last element of the previous group of elements (SHIFT+CTRL+TAB). Elements group = visible and invisible frames, ActiveX controls (e. g. tree control, toolbar control etc.) button bars, toolbars.
    1. Jumps to the previous group.
    2. Sub screens can be handled like Frame if its property KeepTab was set to TRUE in the Screen painter.
             GUIT->Screen->Tab or 800->Nested group box 802 SE80
    LEFT/RIGHT/UP/DOWN
    ARROW
    HOME, END     		Navigation inside the element (depending on the element type)
    If the arrow keys are not reserved by the graphical elements, horizontal or vertical scrolling will be made if necessary. In this case, using the key HOME or END will result in scrolling vertically to the first or last page. Compare with the Internet Explorer.     		All Edit-Fields, radio buttons etc.

    CSN Inbox in small window

    Appendix A3: Navigating Between Tab(strip)s

    1. Press either TAB, or SHIFT+TAB, or CTRL+TAB, or CTRL+SHIFT+TAB until the title of a tab has the focus.
    2. Press the ARROW (left or right) key to choose the tab to be activated (the title of this tab will get the focus).
    3. Press the SPACE or Enter Key to activate the tab.

    Appendix A4: Selecting a Line or a Column in a selectable Table Control

    1. Press the TAB key until a cell of the line or the column, which should be selected, has the focus.
    2. Press the SHIFT and SPACE together to select the line. Press the SHIFT and SPACE once again will deselect the line.
    3. Press the CTRL and SPACE together to select the column. Press the CTRL and SPACE once again will deselect the column.
    Note: The table control must be selectable, that means it must contain the selecting buttons.

    Appendix A5: Tabbing Automatically Between Fields

    If automatic tabbing is activated the cursor automatically moves to the next input field when the maximum number of characters has been entered in a field. This function is useful when you are entering a large amount of data and you do not want to press the TAB key to move from field to field.

    AutoTAB only works at the end of an input field. For example, if the Material field can contain 12 characters, but the material number you enter is only 7 characters long, you must still press the TAB key to move to the next input field.

    To turn automatic tabbing on or off:

    1. In the standard toolbar, choose [image] -> Options... -> choose the tab Cursor
    2. To enable AutoTAB, select Automatic TAB at Field End. To disable AutoTAB, deselect this option.
    3. Press OK to confirm your choice, or Cancel to reset the AutoTAB option to the previous setting.

    Appendix A6: Other Hot Keys

    Hot Keys | Result
ALT + F12 | Calls the menu popup for Customizing of local layout
CTRL + Shift + P | Makes a Hardcopy which shows no menu popup and can also contain status texts and modal popups.
CTRL + / | Cursor jumps directly to the OK-Code field.
CTRL + I | Cursor jumps to the first focusable field or control.
CTRL + + | Creates new session.
CTRL + ; | Creates Sap shortcut.
ContextMenu-Key = SHIFT + F10 | Calls context menu.
CTRL + Q | Shows tooltip for the focus control (except ActiveX controls).
ESC on OK-code field | Closes the drop down list, if it is open.
CTRL + Z, CTRL + Y | Undo und Redo in the input field.
Shift+CTRL+Alt+ First Character of a Screen Element's Label | Cursor jumps from the current screen element to the next one, whose label begins with the character, if the setting "Use Accelerator Keys" in Cursor Settings is on. These screen elements include fields, checkboxes, dropdown-lists, pushbuttons, and radio buttons. They exclude controls like ALV, HTML, and APOGrid.

    Appendix B: Wheel Mouse Support

    SAP GUI for Windows supports the use of the Wheel Mouse (for example, IntelliMouse). If you connect a Wheel Mouse to the PC you automatically receive support in the Internet Explorer as well as in more recent Office versions. You have to install the appropriate driver software to use the mouse with the SAP GUI and other applications. The software is either available with the mouse or you can access it from www.microsoft.com (IntelliPoint software). To make the appropriate settings Press Control Panel -> Mouse "Wheel Button = AutoScroll (Default)". For further information, read the note 0398900.

    Appendix C: Standard Icons

    You can find a list of icons with short explanations in this standard icons document

    Appendix D: Modified SAP GUI Features

    See SAP note 402189.

    Appendix E: Further Information

    You can find more information about the GUI (like FAQ) in the Service Area for the SAP GUI.

    Appendix F: Open Source Licenses

    STLport License Agreement

    Appendix G: SAP GUI Scripting API

    You find information on the SAP GUI Scripting API in the standard toolbar by choosing [image] -> SAP GUI Scripting Help.


SAP Icons

SAP Icons SAPGui Release 6.40

Icon | Name | Description | ID
 | Cut | The selected area is moved to the programmed clipboard. | @2T@
 | Copy | The selected area is copied to the programmed clipboard. | @2U@
 | Paste | The contents of the programmed clipboard are pasted into the table where the cursor is positioned. | @2V@
 | Selection mode; Select | The table entry where the cursor is positioned is selected (this function is superfluous in the table control). | @2X@
 | Select all | All table entries are selected. | @4B@
 | Select block | A block (of adjacent entries) is selected in a table. First select one entry followed by another entry in another position to use this function. | @4C@
 | Deselect all | All selections in a table are deselected. | @4D@
 | Deselect block | A block is deselected in a table (useful only if several blocks can be selected, then the block where the cursor is positioned is deselected). | @8J@
 | Invert column selection | This deselects the selected columns in a table, then it selects the columns that were previously not selected. | @8K@
 | Invert row selection | This deselects the selected rows in a table, then it selects the rows that were previously not selected. | @8L@
Icon | Name | Description | ID
 | Move to far left; First... | Steploop scrolling, to extreme left. | @0B@
 | Move to far right; Last... | Steploop scrolling to extreme right. | @0C@
 | One column to left; Previous... | Steploop scrolling, one column to the left, or to previous column. | @0D@
 | One column to right; Next... | Steploop scrolling, one column to the right, or to next column. | @0E@
 | Page right | Steploop scrolling, one page to the right | @0F@
 | Page left | Steploop scrolling, one page to the left. | @0G@
 | Previous value; Next entry | A fast way of creating, changing, deleting or restricting data records. This icon is not restricted to a particular function. | @0H@
 | Next value; Previous entry | A fast way of creating, changing, deleting or restricting data records. This icon is not restricted to a particular function. | @0I@
 | OK; Continue; Choose Value | Default function in a dialog box. This means "Continue" or "Okay", or with text that has a special function such as, "Check". | @0V@
 | Cancel | Cancel function in a dialog box. | @0W@
 | Other Object | Selects another process object (such as other order, or other cost center). | @2Q@
 | Previous screen | In a series of screens, this moves you to the previous screen. | @2R@
 | Next screen | In a series of screens, this moves you to the next screen. | @2S@
 | First page | System function: scrolls up to the top of the screen or list | @2Y@
 | Previous page | System function: scrolls one page down the screen or the list. | @2Z@
 | Next page | System function: scrolls one page down the screen or the list | @30@
 | Last page | System function: scrolls down to the bottom of the screen or the list. | @31@
 | Header; Basic data | You can go to a chosen screen, which contains header information (attributes of the processing object). | @3P@
 | Overview; List screen | You can go to a chosen screen, which contains overview, list, or item information (logical view, often in a table). | @3Q@
 | Detail view | Identification of detail screens in a series of detail screens (use tabstrip if possible). | @3R@
 | Period screen; Breakdown over time | Going to a chosen screen, which contains detailed information (time-related). | @58@
 | Next step | G: Workflow: Next subtask, next task step | @B8@
 | Previous step | G: Workflow: Previous subtask, previous task step | @B9@
 | Move to top of list | Moving a list entry up or down: move to top of list | @HF@
 | Move to bottom of list | Moving a list entry up or down: move to bottom of list | @HG@
 | Page up | Moving a list entry up or down: move up one page | @HH@
 | Page down | Moving a list entry up or down: move down one page | @HI@
Icon | Name | Description | ID
 | Print | Print (from a dialog box) | @0X@
 | Create | Creating an object | @0Y@
 | Change | Changing an object | @0Z@
 | Display | Displaying an object | @10@
 | Delete | Deleting a (sub) object | @11@
 | Test | Testing an object (programs) | @12@
 | Find | System function: Searching | @13@
 | Copy Object | Copying a (sub) object to another | @14@
 | Execute Object | Executing reports (F8) (with text, if the object is to be clarified). | @15@
 | Choose Object's Details | Choosing a subobject from a list (double-click - F2 on the list item) | @16@
 | Insert row | Inserting a row into a table | @17@
 | Delete row | Deleting a selected row from a table | @18@
 | Undo | Undo the last transaction | @2W@
 | Replace | Replacing one subobject with another | @37@
 | Check | Checking an object | @38@
 | Activate | Activating an object | @3C@
 | Sort in ascending order | Sorting one or more selected table columns upwards. | @3E@
 | Sort in descending order | Sorting one or more selected table columns downwards (default for general sorting) | @3F@
 | Convert | Convert to another currency | @3H@
 | Display or Change | Moving from Display to Change and vice versa. | @3I@
 | Expand | In a hierarchy: expand one level, where the cursor position is. | @3S@
 | Collapse | In a hierarchy: Compress one level, where the cursor position is. | @3T@
 | Position; Other entry | Move to a certain position in a table. | @3Y@
 | Display sum | Display sum of all rows in a selected column in a table. | @3Z@
 | Move | Moving a subobject to another position | @40@
 | Retrieve | Retrieving a subobject | @41@
 | Refresh | Refreshing contents of a screen | @42@
 | Skip | Skipping an entry or subobject | @43@
 | Compare | Comparing (sub)objects or values. | @46@
 | Import | Import data from a PC file | @48@
 | Export | Export data to a PC file | @49@
 | Transport | Transporting an object (logical) | @4A@
 | Find next | System function: Continue the search (after the find function) | @4E@
 | Rename | Renaming an (sub)object. | @4F@
 | Filter | Hide data in a table according to filter condition. | @4G@
 | Highlight | Highlight selected text | @4K@
 | Subtotal | Creating subtotals in a selected column in a table, for certain values. | @5V@
 | Expand all | In a hierarchy: Display all of the hierarchy (or all paths starting from the cursor position). | @68@
 | Collapse all | Display the top level of a tree only (or close all nodes underneath the cursor position). | @69@
 | Selection; Selection criteria | Choosing from a large selection | @7X@
 | Dynamic selections |  | @7Z@
 | Set A | G: Operation on quantities | @89@
 | Set B | G: Operation on quantities | @8A@
 | A plus B | G: Operation on quantities | @8B@
 | Intersection set AB | G: Operation on quantities | @8C@
 | A minus B | G: Operation on quantities | @8D@
 | B minus A | G: Operation on quantities | @8E@
 | Copy to set A | G: Operation on quantities | @8F@
 | Copy to set B | G: Operation on quantities | @8G@
 | Deactivate | Deactivating an object | @8I@
 | Submit for processing | Submitting for "mandatory" processing. | @8W@
 | Allow | G: For example, superior allows activity | @8X@
 | Reject | G: For example, superior rejects activity | @8Y@
 | Simulate | Simulating a calculation without saving | @8Z@
 | Arrow left |  | @9S@
 | Arrow right |  | @9T@
 | Operation; Edit object | G: Operation consisting of business transaction, several operations form an order. | @9X@
 | Activity | G: Several activities make a..... | @9Y@
 | Swap | Swapping subobjects (position) | @BB@
 | Store |  | @C0@
 | Assign | Defaulting values: Use for transfer rules and meta data. | @C1@
 | Complete;No problems occurred | General closing (such as, technical or commercial closing, closing an order, closing a message). | @DF@
 | Partner | For partners or business partners in general | @DG@
 | Display log | Calls up a log | @DH@
 | Call up Excel List Viewer | Calls up the Excel List Viewer for data displayed in the ALV. | @DJ@
 | Call up word processing | This function enables you to select the ALV list as INPUT for the WORD mail merge function, or to display as an RTF in word. | @DK@
 | ABC analysis | Calls up a function that executes an ABC analysis for a selected key figure for the ALV data. | @DL@
 | Select display variant | Dialog for selecting an ALV display variant (list layout) | @DM@
 | Save display variant | Dialog for saving a display variant | @DN@
 | More decimal places | Increases the number of decimal places | @DP@
 | Fewer decimal places | Decreases the number of decimal places | @DQ@
 | Message log | Calls up the message log, in other words the tool to display messages (Info, error, warning or abort message). | @DR@
 | Delete from favorites | Deletes an object (entry) from personal favorites. | @ES@
 | Add to favorites | Inserts an object (entry) into favorites (selection). | @EV@
 | Create with template | Using a given object as a default for the attributes (as a basis). | @EZ@
 | Default values | Defaulting values: Use for transfer rules and meta data. | @F6@
 | Display attachment | Displaying attachment | @FM@
 | Display folder content | Displaying folder content | @FN@
 | Open folder | Opening a folder | @FO@
 | Open object folder | Opening object folder: Object folders are used as containers for other document types and can be sent. | @FP@
 | Display outbox | This folder contains documents that were sent, or that are to be sent. It also contains workflows that were started, and work items that were processed or forwarded. | @FQ@
 | Resubmit | Resubmitting | @FR@
 | Private folders | Private folders | @FS@
 | Public folders | Public folders | @FT@
 | Subcribed folders | Subscribed folders / subscribing to folders | @FU@
 | Calculate average | This calculates an average, such as for x number of appraisals | @FV@
 | Bold | Bold | @FW@
 | Italics | Italics | @FX@
 | Underline | Underline | @FY@
 | Align left | Align to the left | @FZ@
 | Align right | Align to the right | @G0@
 | Center | Central alignment | @G1@
 | Justify | Justify | @G2@
 | Color | Color | @G3@
 | Delete all attributes | Delete all attributes | @G4@
 | Display Idocs | Displaying IDocs: IDocs are complex, hierarchical data structures. They are used for transferring documents and can be linked to one or more application documents. | @G5@
 | Connect | SAP server connection toggle button connects the selected SAP message store to the R/3 server or disconnects the SAP message store from the server. | @GB@
 | Disconnect | SAP server connection toggle button connects the selected SAP message store to the R/3 server or disconnects the SAP message store from the server. | @GC@
 | Undo filter | Undo filter | @GD@
 | Undo highlighting | Undo highlighting | @GF@
 | Insert rows | This function inserts a new area of rows above the row in which the cursor is placed (current row). The current row is then the lowest row in the table control and the row above the cursor becomes the top row. The area between contains new rows. | @GU@
 | Make mass change | Calls up the transaction, or dialog box for mass change; making mass changes. | @HB@
 | Highlighting critical | Highlighting due to a critical situation or for a negative reason. | @HC@
 | Highlighting noncritical | Highlighting due to a critical situation or for a negative reason. | @HD@
 | Select columns | Calls up a dialog to choose columns in a tax table. | @HE@
 | Read file | Read file | @HJ@
 | Write file | Write file | @HK@
 | Edit file | Edit file | @HL@
 | Call report from report | You want to call up a report from another report, including information as selection criteria in the report you call up. This information describes the chosen row, column, cell, or entire report. | @I2@
 | Select with filter | Sometimes, you only wish to select the entries that fulfil certain requirements in the same way that you might want to only display, or highlight in a list, or table. | @KG@
 | Display variants |  | @LZ@
 | Show/Hide paragraph marks | Show/Hide paragraph marks | @P2@
 | Eraser | Eraser | @TS@
Icon | Name | Description | ID
 | Note; Change note | Unformatted note, change remark. | @0J@
 | Create note | Unformatted note, creating remark. | @0K@
 | Display note | Unformatted note, displaying remark. | @0L@
 | Calculate | Calculating | @0M@
 | Graphic | Calling up business graphic | @0N@
 | Create text | Creating text for a subobject (SAPScript) | @0O@
 | Display text | Displaying text for a subobject | @0P@
 | Change text; Long text | Changing texts that were entered for a subobject. | @0Q@
 | Variants | Displaying variants for a (sub)object. | @0R@
 | Information | Information on an object, in text form that is not so specific, such document status or log. | @0S@
 | Address | Mark, display or change address | @0T@
 | Optical archive viewer | Starting the optical archive viewer. | @0U@
 | Print preview | Print preview of a document | @3G@
 | Set status | Setting a certain status for a subobject | @3J@
 | List | Displaying an (sub)object as a list | @3W@
 | Tools | Tools for a sub(object), | @45@
 | Network graphic | Calling up the network graphic | @56@
 | Bar chart; Planning board | Calling up bar chart graphic or planning board | @57@
 | Employee | G: Description of employees, in the Human Resources component. | @5W@
 | Time zone | G: Date and time for different countries | @5X@
 | History | G: WHO changed WHAT, and WHEN | @96@
 | Time inactive |  | @9R@
 | ABAP routine | G: An object supported by an ABAP program | @9U@
 | Request; Order | G: Order = Network of operations comprising business transactions | @9Z@
 | Customer |  | @A0@
 | Central warehouse |  | @A1@
 | Planning level | G: Warehouse assignments | @A2@
 | Distribution center | G: Distribution center (a type of warehouse) for the end customer | @A3@
 | Customer warehouse | G: Customer warehouse (not manufacturer warehouse) | @A4@
 | Stock transfer point | G: A warehouse used for distribution to other warehouses | @A5@
 | Material | G: Any material, representing all industries | @A6@
 | Model | G: A particular range of models for a sales chain | @A7@
 | Plant |  | @A8@
 | Product group |  | @A9@
 | Relationship |  | @AA@
 | Resource | G: A resource can be material, a work center, tools and so on. | @AB@
 | Storage location | G: Space inside a warehouse, such as a shelf | @AC@
 | Vendor |  | @AD@
 | Transport type |  | @AE@
 | Location |  | @AF@
 | Task list | G: Planning and organization processes within a company | @AJ@
 | Maintenance plan |  | @AK@
 | Message | G: Customer message, such as in the repairs area | @AL@
 | Work center |  | @AM@
 | Equipment | G: Individual equipment, such as hardware. | @AN@
 | Document | G: Drawings, contracts, "originals" | @AR@
 | Reverse payment items | G: Reverses a payment item | @BA@
 | Cost center | Organizational unit within a controlling area that represents a unique unit where costs arise. Cost centers can be distinguished according to their function, payroll significance or location, or based on the manager responsible for the costs that arise. | @BL@
 | Query tool |  | @BO@
 | Workflow inbox | G: Central collection point for tasks and messages, dependent on person | @BP@
 | Wizard | G: Calls up a wizard | @BY@
 | One-time delivery on date required | The application determines whether this is a delivery or confirmation, in other words, in the Sales and Distribution (SD) component this is delivery, otherwise it is confirmation: What can be delivered and when. | @CB@
 | Complete delivery | The application determines whether this is a delivery or confirmation, in other words, in the Sales and Distribution (SD) component this is delivery, otherwise it is confirmation: When the complete delivery is made. | @CC@
 | Delivery proposal | The application determines whether this is a delivery or confirmation, in other words, in the Sales and Distribution (SD) component this is delivery, otherwise it is confirmation: A one-time delivery on the required date, but possibly not the amount requi | @CD@
 | Backward plan direction (switch) | The application determines whether this is a delivery or confirmation, in other words, in the Sales and Distribution (SD) component this is delivery, otherwise it is confirmation: A one-time delivery on the required date, but possibly not the amount requi | @CE@
 | Backward plan direction | The application determines whether this is a delivery or confirmation, in other words, in the Sales and Distribution (SD) component this is delivery, otherwise it is confirmation: A one-time delivery on the required date, but possibly not the amount requi | @CF@
 | Forward plan direction | The application determines whether this is a delivery or confirmation, in other words, in the Sales and Distribution (SD) component this is delivery, otherwise it is confirmation: A one-time delivery on the required date, but possibly not the amount requi | @CG@
 | Forward plan direction (switch) | The application determines whether this is a delivery or confirmation, in other words, in the Sales and Distribution (SD) component this is delivery, otherwise it is confirmation: A one-time delivery on the required date, but possibly not the amount requi | @CH@
 | Finite capacity | The application determines whether this is a delivery or confirmation, in other words, in the Sales and Distribution (SD) component this is delivery, otherwise it is confirmation: A one-time delivery on the required date, but possibly not the amount requi | @CI@
 | Variations of non-working time | The application determines whether this is a delivery or confirmation, in other words, in the Sales and Distribution (SD) component this is delivery, otherwise it is confirmation: A one-time delivery on the required date, but possibly not the amount requi | @CJ@
 | Planning session: Free capacity | The application determines whether this is a delivery or confirmation, in other words, in the Sales and Distribution (SD) component this is delivery, otherwise it is confirmation: A one-time delivery on the required date, but possibly not the amount requi | @CK@
 | Planning session: Insert business transaction | The application determines whether this is a delivery or confirmation, in other words, in the Sales and Distribution (SD) component this is delivery, otherwise it is confirmation: A one-time delivery on the required date, but possibly not the amount requi | @CL@
 | Planning session: Press business transaction between two existing business tran | The application determines whether this is a delivery or confirmation, in other words, in the Sales and Distribution (SD) component this is delivery, otherwise it is confirmation: A one-time delivery on the required date, but possibly not the amount requi | @CM@
 | Planning session: Keep the same order | The application determines whether this is a delivery or confirmation, in other words, in the Sales and Distribution (SD) component this is delivery, otherwise it is confirmation: A one-time delivery on the required date, but possibly not the amount requi | @CN@
 | Profit center | The business object for profit centers is an organizational unit in Accounting, which a company structures in a management-oriented way, for example, for internal control purposes. Results can be displayed for a profit center, which are determined using c | @D2@
 | Company code | The smallest organizational unit for which a complete, self-contained set of accounts can be drawn up for purposes of external reporting. The process of external reporting involves recording all relevant transactions and generating all supporting document | @D9@
 | Controlling area | Organizational unit within a company, used to represent a closed system for cost accounting purposes. A controlling area may include single or multiple company codes that may use different currencies. These company codes must use the same operative chart | @DX@
 | Distribution list | Distribution list | @DY@
 | SAP mails unread | Mails unread | @DZ@
 | SAP mails read | Mails read | @E0@
 | SAPoffice document | SAPoffice document | @E3@
 | Not completed; Error | Material or batch defects can be reported in QM, PM and SM, for example, "casing scratched". These defects can be collected and analyzed, and can, for example, be forwarded to the vendor evaluation. | @F1@
 | Delivery | Object for physically moving materials to a place or to a customer. | @O4@
 | Text field | Field that contains a text | @OB@
 | Field with text | Field that contains an existing, appropriate text | @OC@
 | Simple field | Simple field | @OD@
 | Continue without confirming | Any confirmation that exists will not be accepted. | @PB@
 | Delivery | Delivery | @PG@
 | Linked document | A document can only be assigned to one (home) directory. However, representatives of the document can be stored in other directories. These representatives are known as linked documents. | @QE@
 | Linked folder | Directories can themselves contain other directories, and thus form a hierarchy. Each directory can only be assigned to one home directory. However, representatives of the directory can be stored in other directories. These representatives are known as li | @QF@
 | Linked folder (open) | Directories can themselves contain other directories, and thus form a hierarchy. Each directory can only be assigned to one home directory. However, representatives of the directory can be stored in other directories. These representatives are known as li | @QG@
Icon | Name | Description | ID
 | Checked; Okay |  | @01@
 | Incomplete; Critical |  | @02@
 | Failure |  | @03@
 | Positive; Good |  | @04@
 | Negative; Bad |  | @05@
 | Locked |  | @06@
 | Unlocked |  | @07@
 | Green light; Go; OK |  | @08@
 | Yellow light; Caution |  | @09@
 | Red light; Negative |  | @0A@
 | Green LED; go; OK | Use if the green tick is not appropriate. | @5B@
 | Red LED; stop; error | Use if the red cross is not appropriate. | @5C@
 | Yellow LED; caution |  | @5D@
 | Display mode active/not active | Switch display between active and not active. | @9B@
 | Incorrect request |  | @9O@
 | Request successful |  | @9P@
 | Alarm |  | @AG@
 | Warning |  | @AH@
 | Note |  | @AI@
 | Inactive LED; Undefined |  | @BZ@
 | Message has been read | Message has been read | @E1@
 | Message has not been read | Message has not been read | @E2@
 | Go; OK | Status display red-green: Green | @E4@
 | Light out; Undefined | "Undefined" status | @EB@
 | Stop; error | Status display red-green: red | @GI@
 | Downward trend | Icon that indicates a downward trend | @M8@
 | Slight downward trend | Icon that indicates a slight downward trend | @M9@
 | Stagnant trend | Icon that indicates a stagnating trend | @MA@
 | Slight upward trend | Icon that indicates a slight upward trend | @MB@
 | Upward trend | Icon that indicates an upward trend | @MC@
 | Status critical | Icon that indicates that a status is slightly critical | @MD@
 | Status good | Icon that indicates that a status is good | @ME@
 | Status very good | Icon that indicates that a status is very good | @MF@
 | No status | Icon that indicates that no status is present | @MG@
 | Status very critical | Icon that indicates that a status is critical. | @OJ@
 | -- | Status: critical, negative. You should only use this set of icons in exceptional circumstances - such as in a value scale for evaluations. | @P5@
 | - | You should only use this set of icons in exceptional circumstances - such as in a value scale for evaluations. | @P6@
 | 0 | You should only use this set of icons in exceptional circumstances - such as in a value scale for evaluations. | @P7@
 | + | You should only use this set of icons in exceptional circumstances - such as in a value scale for evaluations. | @P8@
 | ++ | Status: very good. You should only use this set of icons in exceptional circumstances - such as in a value scale for evaluations. | @P9@
 | Blank, new, open | Used generally at the start (for example, of a technical and business beginning of a process or message) | @Q3@
Icon | Name | Description | ID
 | Telephone number |  | @1Q@
 | Fax number |  | @1R@
 | Send message; Mail |  | @1S@
 | Time of day |  | @1T@
 | Date |  | @1U@
 | Alarm |  | @1V@
 | Variable | Entries in fields that are assigned to a variable. | @4M@
 | Dimension | Indicating a dimension in the Business Information Warehouse (BW) | @9Q@
 | Local ABAP |  | @9V@
Icon | Name | Description | ID
 | Multiple selection (active) | Display or change (already entered, changed) "More..." in a dialog box. | @1E@
 | Multiple selection | Display or create "More..." for the first time in a dialog box. | @1F@
 | Previous node | Previous node in network graphic | @3K@
 | Next node | Next node in network graphic | @3L@
 | Hierarchy | Displaying a hierarchy | @3M@
 | Insert relationship | Inserting a node in a network graphic | @3N@
 | Finish date; Date | End date or date in a network graphic | @3O@
 | Subordinate level | Moving to the next hierarchy level in a tree | @4H@
 | Superior level | Moving to the previous hierarchy level in a tree | @4I@
 | Cut relationship | Cut relationship between nodes and (sub)objects. | @53@
 | Context Menu | Context Menu | @TR@
Icon | Name | Description | ID
 | Equal to | Selection screens: Equal | @1G@
 | Not equal to | Selection screens | @1H@
 | Greater than | Selection screens | @1I@
 | Less than | Selection screens | @1J@
 | Greater than or equal to | Selection screens | @1K@
 | Less than or equal to | Selection screens | @1L@
 | Include interval | Selection screens | @1M@
 | Exclude interval | Selection screens | @1N@
 | Include pattern | Selection screens | @1O@
 | Exclude pattern | Selection screens | @1P@
 | Select: Equal to | Selection screens | @20@
 | Select: Not equal to | Selection screens | @21@
 | Select: Greater than | Selection screens | @22@
 | Select: Less than | Selection screens | @23@
 | Select: Greater than or equal to | Selection screens | @24@
 | Select: Less than or equal to | Selection screens | @25@
 | Select: Include interval | Selection screens | @26@
 | Select: Exclude interval | Selection screens | @27@
 | Select: Include pattern | Selection screens | @28@
 | Select: Exclude pattern | Selection screens | @29@
 | Do not select: Equal to | Selection screens | @2A@
 | Do not select: Not equal to | Selection screens | @2B@
 | Do not select: Greater than | Selection screens | @2C@
 | Do not select: Less than | Selection screens | @2D@
 | Do not select: Greater than/equal to | Selection screens | @2E@
 | Do not select: Less than/equal to | Selection screens | @2F@
 | Do not select: Include interval | Selection screens | @2G@
 | Do not select: Exclude interval | Selection screens | @2H@
 | Do not select: Include sample | Selection screens | @2I@
 | Do not select: Exclude sample | Selection screens | @2J@
 | Close | Close a (pseudo) amodal dialog box | @3X@
 | Align | Align object | @52@
 | Enter | Release a (sub-) object | @5Y@
 | Auszeichnen | Variants exist for (sub-) objects (display status) | @5Z@
 | Dangerous goods check | Performs dangerous goods check. Icon from EH&S – Dangerous goods processing, environmental protection. Used in areas where checks relevant to dangerous goods are performed. In SD, for example, checks are triggered to see whether a corresponding delivery i | @CO@
 | Sanctioned party list | Sanctioned party lists are lists in which all persons and enterprises are listed with which no trade may be conducted. If a person or company trades with these persons or enterprises, they then join the list. | @D6@
 | Rental agreement | Symbol for master data "rental agreement" | @DD@
 | Call up object list | Object lists (equipment, technical locations, notifications, materials), assigned to a plant maintenance notification, order, or item. | @DI@
 | Excluded correspondence class | Correspondence classes can be assigned to a partner. Documents form this correspondence class are excluded from correspondence with this partner. | @DO@
 | Pack | Indicates how material or existing shipping units (carton, case, and so on) to be packed. | @E8@
 | Unpack | Unpacking material from a shipping units (such as a case) or unpacking a shipping unit from another shipping unit (pallet, for example) | @E9@
 | Empty | All contents are removed from the existing shipping unit. The shipping unit is not deleted. | @EA@
 | Batch | General Logistics: A batch is a subquantity of materials with certain characteristics. | @EJ@
 | Display administrative data | Icons for displaying administrative data for objects (such when created, when changed, what status, and so on). Can also be used with tabs. | @EK@
 | Stock | Describes how much material can be found where | @EL@
 | Account assignment | Accounting for and assigning costs (from orders, for example) to account assignment objects (such as cost center, account, and so on) | @EM@
 | Origin | Describes the origin of how an inspection lot was generated in Quality Management. Origin can be goods receipt, goods issue, in production, and so on. | @EN@
 | Display external jobs | Display orders from outside of the SAP System/Display orders from an external (3rd party) system | @EP@
 | Show event | Display results/context on an order | @ET@
 | Display use relationships | Display user relationships in a one-way graph/grid | @EX@
 | Display mapped relationships | Display relationships of figures in a one-way graph/grid | @EY@
 | Undo cache entry | Undo (cache) entry | @F0@
 | Propose position | Proposed transfer to document | @F7@
 | Display customer master data | Customer master data sheet | @F8@
 | Display status overview | Status displays the current processing status of a purchasing document. Document status is subdivided into several substitutes. | @F9@
 | Display header details | Display details of document header | @FA@
 | Display item details | Display details of document header | @FB@
 | Check availability | The availability check checks the material availability for a specific date according to ATP logic (scheduled goods receipt and goods issue in warehouse are taken into account). The result is saved in so-called delivery schedules (date, desired quantity, | @FC@
 | Price conditions | Item details price conditions | @FD@
 | Schedule lines | Delivery schedules contain quantities and dates for requested and agreed upon deliveries | @FE@
 | Display availability | Displays availability of item material | @FF@
 | Call warehouse statistics | Calls all statistics in warehouse management: Movements, arrival of goods, and so on | @FG@
 | Computer/host | Computer | @G6@
 | Warehouse stock | Stock overview, stock in the warehouse management system (WM) component: Go to stock overview in WM. These overviews are triggered in addition to stock and return transfer. | @HQ@
 | Production supply area | Production supply area | @I1@
 | Expand data areas | Expanding data areas on screens | @K1@
 | Collapse data areas | Collapsing data areas on screens | @K2@
 | Production scrap | This symbolizes the scrap which is created during production, as the opposite to the yield. | @K3@
 | Compare appointment | Employees compare their appointments. | @KI@
 | Summarize key fields | Using selected details (by choosing the key fields), you can summarize a table with key fields. For example, in the GD13 transaction (totals record display), data is selected for the FI-SL ledger and output in a list (ALV). If you choose a variant or chan | @KT@
 | Undo summarization | Using selected details (by choosing the key fields), you can summarize a table with key fields. For example, in the GD13 transaction (totals record display), data is selected for the FI-SL ledger and output in a list (ALV). If you choose a variant or chan | @KU@
 | Start warehouse process in the background | Start warehouse process, background processing | @LT@
 | Start warehouse process in the foreground | Start warehouse process, foreground processing | @LU@
 | Confirm warehouse process in the background | Confirm warehouse process, background processing | @LV@
 | Confirm warehouse process in the foreground | Confirm warehouse process, foreground processing | @LW@
 | Select redlining object | Select a redlining object in order to change or position it. | @MH@
 | Draw line freehand | Activates the redlining mode for drawing lines freehand. | @MI@
 | Draw pointer | Activates the redlining mode for drawing pointers. | @MJ@
 | Draw line | Activates the redlining mode for drawing lines. | @MK@
 | Draw polyline | Activates the redlining mode for drawing polylines. | @ML@
 | Draw ellipse | Activates the redlining mode for drawing ellipses. | @MM@
 | Draw polygon | Activates the redlining mode for drawing polygons. | @MN@
 | Draw rectangle | Activates the redlining mode for drawing rectangles. | @MO@
 | Angle measure | Draws an angle measure in a redlining layer | @MP@
 | Linear measure | Draws a linear measure in a redlining layer | @MQ@
 | radius measure | Draws a radius measure in a redlining layer | @MR@
 | Snap to grid+F912 | Function that controls whether a window can be moved freely or whether it snaps to a grid. | @PC@
 | Grid | Grid. | @PD@
 | Main grid | Main grid. | @PE@
 | Top border | Show or hide the top border of an output area(similar to Microsoft Word) | @PU@
 | Right border | Shows or hides the right border of an output area(similar to Microsoft Word) | @PV@
 | Outside border | Show or hide the outside border of an output area(similar to Microsoft Word) | @PW@
 | Left border | Show or hide the left border of an output area(similar to Microsoft Word) | @PX@
 | Bottom border | Show or hide the bottom border of an output area(similar to Microsoft Word) | @PY@
 | Inside border | Show or hide the inner border of an output area(similar to Microsoft Word) | @PZ@
 | Reset template | Reset entries that were stored as template | @Q0@
 | Store entries as a template | Save entries as a template, so that when the user displays that screen again, certain fields are already filled. | @Q1@
 | Transfer healthcare smartcard | Transfer healthcare smartcard | @Q2@
 | Material price analysis | Materials in the material ledger and in inventory management are valued using the valuation price. Clicking on this icon starts a tool used to analyze this price. | @Q6@
 | Cost components | In standard cost estimates and actual costing (in Product Cost Controlling), you can include calculated prices in a cost component split. Each price is then split up into elements and element groups (defined by the customer). Clicking on the icon allows t | @Q7@
 | Handling Unit | A Handling Unit is a physical item consisting of packaging materials and the material they contain. A handling unit (HU) has a single, scannable identification number that can be used to call up the data | @TV@
Icon | Name | Description | ID
 | Activate ProShare | Activate ProShare | @1W@
 | Call report from report | Calls a report from a report | @36@
 | Icon list; Legend | Calls a legend for the current screen | @3D@
 | Short message | Enter/send short message | @47@
 | Individual help |  | @4L@
 | Freeze column | Freeze columns in Table Control | @54@
 | Unfreeze columns | Unfreeze columns in Table Control | @55@
 | Zoom in | Enlarge an object (zoom in) | @59@
 | Zoom out | Reduce an object (zoom out) | @5A@
 | ISO code | G: Element, such as a measurement, contains only values conforming to ISO Code | @60@
 | Formula | Enter/change mathematical formula | @6R@
 | Parameters |  | @77@
 | Parameters (import) |  | @78@
 | Parameters (export) |  | @79@
 | Change parameters |  | @7A@
 | Parameters (result) |  | @7B@
 | Dangerous goods | G: Transport of dangerous goods (combustible, caustic, radioactive) | @8H@
 | Foreign trade | G: Exchange of goods worldwide | @8M@
 | URL | G: Internet address | @8S@
 | Dispatch operation | G: Assign operation to a work center (based on date) | @8U@
 | Deallocate operation | G: Operation is put back into the pool of operations from the work center | @8V@
 | Technical location | G: Actual structure of site (room, building or factory area) | @AO@
 | Bill of material (BOM) |  | @AP@
 | Bill of material (BOM) item |  | @AQ@
 | Document revision |  | @AS@
 | Material revision |  | @AT@
 | Change number | G: Describes a change, as of when the change is valid and all of its objects | @AU@
 | Parameters (table) | System function: Possible entries help (F4) | @BJ@
 | Graduated scale | G: SD: Stores volume-based price scales and values in condition records | @BT@
 | Bonus; Gift | G: SD: Customer receives more quantity than paid | @BU@
 | Conversion amount factor | G: SD: Conversion factor from one unit of measure to another (such as 1 pallet = 20 pieces) | @BV@
 | Object dependencies | G: Specifies dependencies between product options | @BW@
 | Configuration | G: Combination of selected options for a product | @BX@
 | Record later | G: ArchiveLink: Store data and record later | @C2@
 | Assign later | G: ArchiveLink: Store data and assign later | @C3@
 | Record immediately | G: ArchiveLink: Store data and immediately record | @C4@
 | Assign immediately | G: ArchiveLink: Store data and immediately assign | @C5@
 | Japan | Represents Japan in foreign trade area | @D5@
 | Customs-related technical area | Official symbol representing a Customs- and foreign trade-related technical area | @D7@
 | Legal regulation | Legal regulation | @D8@
 | Unit costing | Instrument for costing BOMs and routing without a reference. Unit costing is used to determine planned costs for base planning objects or to further determine the planned costs for objects such as orders, cost objects, projects and sales document items. | @DA@
 | Base costing object (costing block) | Reference object in unit costing that can be used as a module in a cost estimate and as a template for planning other objects in Controlling | @DB@
 | Activity type | Clarifies activity type in the tree | @DC@
 | Real estate object | Symbol for real estate master data object | @DE@
 | Partner sales activity | Refers to contact with a business partner (documenting dates and contacts of employee in your company with a business partner) | @DS@
 | Incoming telephone call | Specifies contact with business partner (here = incoming telephone call) | @DT@
 | North American Free Trade Association | Represents the North American Free Trade Association (NAFTA). USA, Mexico, Canada (maybe Chile in future) belong to NAFTA | @DU@
 | European Union | Represents of European Union | @DV@
 | Outgoing telephone call | Specifies contact with business partner contact (here = outgoing telephone call) | @DW@
 | Inspection lot | Inspection lot is the central movement data in Quality Management. It manages inspection items, contains inspection specifications, inspection results, and makes a usage decisions. | @EO@
 | Inspection method | In QM, the inspection method is a central master data that describes HOW something is to inspected. This is usually a document or long text, such as an ISO norm or a manual. | @GS@
 | Catalog | In QM, PP and CS, codes can be selected for qualitative descriptions of actions, tasks, user decisions, errors, and so on, such as "Catalog: Characteristic attributes; Code groups: Colors; Codes: Red, green, yellow." | @GT@
 | Inspection characteristic | Inspection characteristic describes what is inspected in QM with what target values: circumference, length, color, pH value, and so on. Icons are used in tree for ation. | @GV@
 | Physical sample | Physical samples in QM to be tested that are distributed to the inspection laboratory | @GW@
 | Elementary data type | Should describe elementary data type (data element in Dictionary) | @HO@
 | Stuctured data type | Describes the structured data type (Use: ABAP Tools, ABAP Dictionary) | @HP@
 | Bill of material (BOM) subitem | Subitem of a BOM item from the LO/PP area | @HW@
 | Change status | Validity period, in which the historically processed objects exist | @HX@
 | Key date | Key date up to which a historically changed object (with change number) is displayed/changed/created | @HY@
 | Selection period | Change status of a historically processed object with change number | @HZ@
 | Parameter validity | Parameter validity | @I0@
 | Adobe Acrobat document | Adobe Acrobat document | @IT@
 | Bitmap image | Bitmap image | @IU@
 | Fax document | Fax document | @IV@
 | GIF image | GIF image | @IW@
 | Help file | Help file | @IX@
 | Hypertext template | Hypertext template | @IY@
 | Internet document set | Internet document set | @IZ@
 | JPEG Image | JPEG Image | @J0@
 | E-mail message | E-mail message | @J1@
 | MS Excel worksheet | Microsoft Excel worksheet | @J2@
 | MS Excel VBA module | Microsoft Excel VBA module | @J3@
 | HTML document | HTML document | @J4@
 | MS PowerPoint presentation | Microsoft PowerPoint presentation | @J5@
 | MS Word template | Microsoft Word template | @J6@
 | MS Word document | Microsoft Word document | @J7@
 | MS Outlook express e-mail message | Microsoft Outlook express e-mail message | @J8@
 | Rich text format document | Rich text format document | @J9@
 | TIF image document | TIF image document | @JA@
 | Notepad document | Notepad document | @JB@
 | Lotus WordPro 97 document | Lotus WordPro 97 document | @JC@
 | Lotus 1-2-3 workbook | Lotus 1-2-3 workbook | @JD@
 | Visio document | Visio document | @JE@
 | Default Windows icon | Default Windows icon | @JF@
 | Address element | Address elements created or related to a mailing action, containing a list of ZAV addresses for contact persons (created from market segment) | @KH@
 | Business partner master data | Display master data of a business partner | @KJ@
 | Incompleteness log | If purchasing document is not complete, then a corresponding entry is listed in incompletion log | @KK@
 | Message | R/3 output: triggers subsequent functions in R/3 output control | @KL@
 | Telephone call | Contact type: Telephone call (CAS) (is document type) | @KM@
 | Visit | Contact type: Visit (CAS) (is document type) | @KN@
 | Letter | Contact type: Letter (CAS) (is document type) | @KO@
 | Number of units with errors | Number of units, checks, results with errors | @KV@
 | Background job | Background job | @M4@
 | Background job, details | Background job, details | @M5@
 | SNC information | Secure Network Communication (SNC) Information. | @O3@
 | Consumption alternative | A consumption alternative represents the different alternatives for using a material. Consumption alternatives are closely related to procurement alternatives and procurement processes). | @ON@
 | Procurement alternative | A procurement alternative represents the different alternatives for using a material. (Procurement alternatives are closely related to procurement processes and consumption alternatives). | @OO@
 | Procurement process | A procurement process is used in Product Cost Controlling to calculate and represent the costs of procuring materials. (Procurement processes are closely related to procurement alternatives and consumption alternatives). | @OP@
 | Target group | Target group: everyone for whom a particular activity is relevant - used, for example, in CRM Marketing. | @PF@
 | Business area | Organizational unit used in Financial Accounting. It corresponds to a distinct area of responsibility or activity in an enterprise. Value movements recorded in Financial Accounting can be attributed to this unit. | @PN@
 | Connection object | Connection object in the SAP Utilities industry solution | @PQ@
 | Contract account | Contract account in the SAP Utilities industry solution | @PR@
 | Register | Register in the SAP Utilities industry solution | @PS@
 | Installation | Installation in the SAP Utilities industry solution | @PT@
 | General recipe | The general recipe is a central object in the Recipe Management System. | @Q4@
 | Valued quantity structure | The quantity structure valued for a material contains all the material components from a BOM, activity types from the operation detail, and all the business processes. These objects are listed together with their costs. | @Q8@
 | Revaluable consumption alternative | A revaluable consumption alternative is a special type of consumption alternative. You can use it to revaluate according to actual prices. The "consumption alternative" and "revaluable consumption alternative" objects are closely connected. | @Q9@
 | Query package | Packages represent collections of documents and directories. A query package is linked to a search request and is filled dynamically with the documents and directories contained in the resulting set of this search query. | @QA@
 | Dynamic package | Packages represent collections of documents and directories. Dynamic packages are filled or changed by means of user exits. This means that the contents of the package must be saved and administered using the relevant application. | @QB@
 | Standard package | Packages represent collections of documents and directories. A standard package has no standard values in terms of its contents. It is a container for directories and documents that an application wants to bundle together for a particular purpose - such a | @QC@
 | Application package | Packages represent collections of documents and directories. Application packages contain the root directories and root documents for an application. The application package generally provides users with the point of entry for the info objects in their ap | @QD@
 | Formatted report | Use: 1. In reports: To switch to display of an external, layout-oriented reporting program (such as Crystal Reports). 2. In tree structures: To indicate that an object type is a 'report' or 'report template' - similar to the Microsoft Excel or Word icon). | @QH@
 | XML document | XML document | @R4@
 | Dropdown box | Dropdown box | @R5@
 | Radio button | Radio button | @R6@
 | Checkbox | Checkbox | @R7@
Icon | Name | Description | ID
 | Transport of goods (truck) | Transport of goods (truck) | @7Q@
 | Transport of goods (rail) | Transport of goods (rail) | @7R@
 | Transport of goods (ship) | Transport of goods (ship) | @7S@
 | Transport of goods (plane) | Transport of goods (plane) | @7T@
 | Transport of goods (mail) | Transport of goods (mail) | @7U@
 | Stock turnover | Transport of goods: Change from one transport type to another | @7V@
 | Border; Customs |  | @7W@
 | Characteristic (active) | Business Information Warehouse | @81@
 | Characteristic (inactive) | Business Information Warehouse | @82@
 | Key figure (active) | Business Information Warehouse | @83@
 | Key figure (inactive) | Business Information Warehouse | @84@
 | Transport of goods | General transport of goods | @9K@
 | Show management cockpit | This icon shows that a management cockpit can be called up. | @P3@
 | Show balanced scorecard | This icon shows that a balanced scorecard can be called up. | @P4@
Icon | Name | Description | ID
 | Video | Start video | @1X@
 | Voice input | Start voice input | @1Y@
 | Voice output | Start voice output | @1Z@
Icon | Name | Description | ID
 | Placeholder icon | Placeholder (technical) | @00@
 | Generate | Generates an object | @39@
 | Where-used list |  | @3A@
 | Stack |  | @3B@
 | Foreign key |  | @3V@
 | Modify; Enhance | G: General symbol for "Modification Assistant" which includes all functions such as create, delete, rename, undo, detail information, and so on, on the modification level | @61@
 | Environment analysis | G: Views all integrated parts that do not belong to the system (opposite of "where-used list") | @62@
 | Interface | G: Indicates a technical interface between two objects | @63@
 | Debugger: Single step |  | @73@
 | Debugger: Perform |  | @74@
 | Debugger: Back |  | @75@
 | Debugger: Continue |  | @76@
 | Stop recording | G: Recording function for CATT | @7Y@
 | Modification: Create, change | G: Create changes to a program | @97@
 | Modification: Overview | G: Displays all changes in an object (program) that could be a SAP original, but must not | @98@
 | Modification: Display original |  | @99@
 | Undo modification | G: Undo to original, restore original | @9A@
 | Assign table entry | Two table controls are assigned at the same time (parallel). In the right table control, default values are displayed that are to be assigned to the TC on the left. From the right TC, selected entries are assigned to the left TC. | @I3@
 | Undo table entry assignment | Deletes assignment: Two Table Controls are assigned at the same time (parallel). In the right table control, default values are displayed that are to be assigned to the TC on the left. From the right TC, selected entries are assigned to the left TC. This | @I4@
 | Start recording | Start recording CATT | @I5@
 | Run CATT | Run CATT | @I6@
 | Translate | Translate | @I7@
 | Display translation | Display translation | @I8@
 | Change password | User maintenance to change password | @I9@
 | Distribute entries | Distributes entries: In central user maintenance, authorizations can be distributed in various systems. | @IA@
 | Call systems | Call systems: In central user maintenance, authorizations can be distributed in various systems. Systems must be selected to distribute authorizations. | @IB@
 | Authorizations activity group | Activity groups for authorizations: Authorizations are maintained and managed according to activity groups in the Profile Generator and in authorization maintenance. | @IC@
 | Authorizations user group | User groups in authorizations | @ID@
 | Undo assignment | Undo assignment | @IE@
 | Determine difference | Determine and display difference | @II@
 | Undo "Determine difference" | Undo "Determine difference" | @IJ@
 | Deselect | Deselect | @IK@
 | Copy object | Transfers line, text, values, and so on, from one screen to another | @IL@
 | Terminology | Jump to terminology | @IM@
 | Display a project | Active in all hierarchy-based tools in which views can be generated for the complete hierarchy | @IO@
 | Import all | All (selected) transport requests transported to the intended target | @K4@
 | Import request | One or more transport requests imported to the intended target. Always a subquantity of all set (fixed) transport requests. | @K5@
 | Toggle overview / detail view | Toggle general view – detail view. Many lists can be constructed for standard use with little centralized information and remain general overviews. Use this icon when you need to be able to jump to a detailed list (and vice versa). | @K6@
 | Toggle standard mode / expert mode | Toggle standard mode – expert mode. In many operations, only a few settings can be modified. Any required changes in the hidden parameters can be shown in the expert mode. | @K7@
 | Settings | The look and behavior of many transactions can be modified to suit individual user requirements and preferences | @K8@
 | Include objects | Objects to be included in a (transport) container | @KA@
 | Transfer | Data to be transferred from one R/3 System to another | @KB@
 | Distribute configuration | Configuration (such as transport methods) to be distributed to all systems of the transport domain | @KC@
 | Synchronize configuration | Configuration of one or more systems of the transport domain must be modified. A reference configuration is then distributed by the domain controller to the specified system | @KD@
 | Standard configuration | Selects a configuration from a list of predefined standard configurations (templates) | @KE@
 | Revised | Indicates objects with revised descriptions | @KF@
 | Not specifed (1) | AEW Information Workbench: Abstract placeholder icon for any function | @KW@
 | Not specifed (2) | AEW Information Workbench: Abstract placeholder icon for any function | @KX@
 | Not specified (3) | AEW Information Workbench: Abstract placeholder icon for any function | @KY@
 | Not specified (4) | AEW Information Workbench: Abstract placeholder icon for any function | @KZ@
 | Not specified (5) | AEW Information Workbench: Abstract placeholder icon for any function | @L0@
 | Create transport proposal | This icon is for creating a transport proposal. This makes it possible to transport a number of transport requests to one or more target systems. When you send the proposal, a transport workflow is triggered. | @OE@
Icon | Name | Description | ID
 | Class |  | @7C@
 | Interface | Selection of functionality/methods | @7D@
 | Attribute | G: Umbrella term for class and instance attributes | @7E@
 | Class attribute |  | @7F@
 | Instance attribute |  | @7G@
 | Method |  | @7H@
 | Class method |  | @7I@
 | Instance method |  | @7J@
 | Event |  | @7K@
 | Constant |  | @7L@
 | Redefine |  | @7M@
 | Relationships |  | @7N@
 | Inheritance/specialization |  | @7O@
 | Interface implementation/composition |  | @7P@
 | Class event |  | @C6@
 | Instance event |  | @C7@
 | Alias |  | @C8@
 | Object |  | @C9@
 | Document |  | @IF@
 | List | Nodes in structure trees (here = structure node type "list") | @IG@
 | Folder | Nodes in structure trees (here = structure node type "folder") | @IH@
 | Triangular relationship | Represents triangular relationship | @IN@
 | Project | Organization of development according to projects is a constant principle in the Workbench and in Customizing. Projects therefore appear on many interfaces. To increase the recognition factor, use this icon and its short text. | @K9@
 | System type | Systems are characterized by the attribute "system type". For example, you can assign a number of different systems the system type "development system", and then for changes you simply have to indicate that these apply to all development systems. This ma | @M6@
 | Composite activity group | You can group multiple activity groups together into one composite activity group. | @M7@
 | Document modeling space | Logical grouping of model entities in document modeling. | @OR@
 | Relation class | Relation class for linking logical and physical information objects (document modeling). | @OS@
 | Attribute definition | Definition of attribute properties in the document modeling environment. | @OT@
 | Virtual relation class | Virtual relation class to be used as a template to create relation classes (document modeling). | @OU@
 | Class connection space | Definition of allowed relationships between logical and/or physical document classes (document modeling). | @OV@
 | Attribute definition constant | Constant of an attribute definition in document modeling.Q899 | @OW@
 | Context class | Context class to be used as a template for selecting a physical information object from a logical information object (document management). | @OX@
 | Logical info object class | Logical information object class (document modeling). | @OY@
 | Virtual logical info object class | Virtual logical information object class to be used as a template to create logical information object classes (document modeling). | @OZ@
 | Physical info object class | Physical information object classes (document modeling). | @P0@
 | Virtual physical info object class | Virtual physical information object class to be used as a template to create physical information object classes (document modeling). | @P1@
 | Test for Performance Assessment Workbench | Performance Assessment Workbench (PAW) test. Each test is a set of questions, which are grouped together by subject or according to test psychology guidelines. Tests are then used to determine whether or not a course has achieved its objectives. They are | @PJ@
 | Subtest for a Performance Assessment Workbench test | Subtest for a Performance Assessment Workbench (PAW) test. PAW tests are used to ascertain whether or not a course has achieved its objectives. Each test consists of several subtests. Course objectives are represented using the performance unit object. Ea | @PK@
 | Performance unit | Performance unit for a Performance Assessment Workbench (PAW) test. Each performance unit represents one course objective and has a set of items (tasks/questions) assigned to it, which are used to check the objective. | @PL@
 | Test item for a Performance Assessment Workbench test | Item for a Performance Assessment Workbench (PAW) test. The item represents the task or question that the test participant must complete or answer and can take several different forms - such as multiple choice or "Fill in the blanks." | @PM@
 | Application Component | Web Dynpro: Application Component | @RG@
 | Tag Library | Web Dynpro: Tag Library | @RH@
 |  |  | @RI@
 | Web Project | Web Dynpro: Web Project | @RJ@
 | Web Application Project | Web Dynpro: Web Application Project | @RK@
 | Inbound Plug | Web Dynpro: Inbound Plug | @RL@
 | Outbound Plug | Web Dynpro: Outbound Plug | @RM@
 | View | Web Dynpro: View | @RN@
 | Views | Web Dynpro: Views | @RO@
 | Interface View | Web Dynpro: Interface View | @RP@
 | Interface Views | Web Dynpro: Interface Views | @RQ@
 | View Area | Web Dynpro: View Area | @RR@
 | T Layout ViewSet | Web Dynpro: T Layout ViewSet | @RS@
 | Reverse T Layout ViewSet | Web Dynpro: Reverse T Layout ViewSet | @RT@
 | T Layout 270° ViewSet | Web Dynpro: T Layout 270° ViewSet | @RU@
 | T Layout 90° ViewSet | Web Dynpro: T Layout 90° ViewSet | @RV@
 | Tab Layout ViewSet | Web Dynpro: Tab Layout ViewSet | @RW@
 | Grid ViewSet | Web Dynpro: Grid ViewSet | @RX@
 | View Container | Web Dynpro: View Container | @RY@
 | Windows Collection | Web Dynpro: Windows Collection | @RZ@
 | Window | Web Dynpro: Window | @S0@
 | Build all | Web Dynpro: Build all | @S1@
 | Build Incremental | Web Dynpro: Build Incremental | @S2@
 | Components | Web Dynpro: Components | @S3@
 | Component | Web Dynpro: Component | @S4@
 | Component Interface | Web Dynpro: Component Interface | @S5@
 | Application | Web Dynpro: Application | @S6@
 | Applications | Web Dynpro: Applications | @S7@
 | Context | Web Dynpro: Context | @S8@
 | Value Node | Web Dynpro: Value Node | @S9@
 |  |  | @SA@
 | Mapped Value Node | Web Dynpro: Mapped Value Node | @SB@
 | Mapped Value Attribute | Web Dynpro: Mapped Value Attribute | @SC@
 | Model Node | Web Dynpro: Model Node | @SD@
 | Model Attribute | Web Dynpro: Model Attribute | @SE@
 | Mapped Model Node | Web Dynpro: Mapped Model Node | @SF@
 | Mapped Model Attribute | Web Dynpro: Mapped Model Attribute | @SG@
 | Recursion Node | Web Dynpro: Recursion Node | @SH@
 | Image | Web Dynpro: Image Element Icon | @SI@
 | Caption | Web Dynpro: Caption Icon | @SJ@
 | Business Graphics | Web Dynpro: Business Graphics Icon | @SK@
 | Label | Web Dynpro: Label Icon | @SL@
 | Input Field | Web Dynpro: Input Field Icon (for text entry) | @SM@
 | Numeric Value | Web Dynpro: Inputfield for numeric values | @SN@
 | Time Value | Web Dynpro: Inputfield for Time Values | @SO@
 | Checkbox (indexed) | Web Dynpro: Checkbox (Indexed) Icon | @SP@
 | Checkbox Group | Web Dynpro: Checkbox Group Icon | @SQ@
 | Radio Button (empty) | Web Dynpro: Radio Button, empty | @SR@
 | Radio Button Group by Index | Web Dynpro: Radio Button Group by Index | @SS@
 | Radio Button Group by Key | Web Dynpro: Radio Button Group by Key | @ST@
 | Dropdown by Index | Web Dynpro: Dropdown by Index | @SU@
 | Dropdown by Key | Web Dynpro: Dropdown by Key | @SV@
 | Link To Action | Web Dynpro: Link To Action Icon | @SW@
 | Link To URL | Web Dynpro: Link To URL Icon | @SX@
 | Toolbar Button | Web Dynpro: Toolbar Button Icon | @SY@
 | Toolbar Dropdown by Index | Web Dynpro: Toolbar Dropdown by Index Icon | @SZ@
 | Toolbar Dropdown by Key | Web Dynpro: Toolbar Dropdown by Key Icon | @T0@
 | Toolbar Inputfield | Web Dynpro: Toolbar Inputfield Icon | @T1@
 | Toolbar Separator | Web Dynpro: Toolbar Separator Icon | @T2@
 | Toolbar Caption | Web Dynpro: Toolbar Caption Icon | @T3@
 | Table | Web Dynpro: Table Element Icon | @T4@
 | Table Column | Web Dynpro: Table Column Element Icon | @T5@
 | Tree | Web Dynpro: Tree Icon | @T6@
 | Tree Node | Web Dynpro: Tree Node Element Icon | @T7@
 | Tree Item | Web Dynpro: Tree Item Element Icon | @T8@
 | IFrame | Web Dynpro: IFrame | @T9@
 | Checkbox | Web Dynpro: Checkbox Icon | @TA@
 | Radio Button | Web Dynpro: Radio Button Icon | @TB@
 | Button | Web Dynpro: Button | @TC@
 | Text View | Web Dynpro: Text View Icon | @TD@
 | Text Edit | Web Dynpro: Text Edit Icon | @TE@
 | Toolbar | Web Dynpro: Toolbar Icon | @TF@
 | Tabstrip | Web Dynpro: Tabstrip Icon | @TG@
 | Tab | Web Dynpro: Single Tab Icon | @TH@
 | Group | Web Dynpro: Group Icon | @TI@
 | Tray | Web Dynpro: Tray Icon | @TJ@
 | Transparent Container | Web Dynpro: Transparent Container Icon | @TK@
 | Scroll Container | Web Dynpro: Scroll Container Icon | @TL@
 | Navigation Link | Web Dynpro: Navigation Link Icon | @TM@
 | Navigation Link Bidirectional | Web Dynpro: Navigation Link Bidirectional | @TN@
 | Navigation Link Out | Web Dynpro: Navigation Link Out | @TO@
 | Navigation Link In | Web Dynpro: Navigation Link In | @TP@
 | Controller | Web Dynpro: Controller | @TQ@
Icon | Name | Description | ID
 | Breakpoint | Breakpoint in Debugger | @3U@
Icon | Name | Description | ID
 | Process | Process | @4S@
 | Process selection matrix | Process selection matrix | @4T@
 | System organization diagram | System organization diagram | @4U@
 | Scenario | Scenario | @4V@
 | Business object | Business object | @4W@
 | Information flow diagram | Information flow diagram | @4X@
 | Entity type | Entity type | @4Y@
 | Process exists | Process exists | @4Z@
 | Communication diagram | Communication diagram | @50@
 | Data model | Data model | @51@
 | Value chain | Value chain | @5G@
Icon | Name | Description | ID
 | Activity |  | @5H@
 | Condition |  | @5I@
 | User decision |  | @5J@
 | Container operation |  | @5K@
 | External event |  | @5L@
 | Internal event |  | @5M@
 | Multiple condition |  | @5N@
 | Go to Workflow |  | @5O@
 | Event creator |  | @5P@
 | Process control |  | @5Q@
 | Undefined step | Step type without functionality which you can use to improve a Workflow definition by inserting this icon. The system also adds unspecified steps in a Workflow definition, if inserting a step type assists further steps, that are defined more precisely. Un | @5R@
 | UNTIL loop |  | @5S@
 | Wait for events |  | @5T@
 | WHILE loop |  | @5U@
 | Internal event with date |  | @87@
 | Create document from template |  | @CP@
 | Set dataflow |  | @CQ@
 | Trigger dataflow |  | @CR@
 | Work item ready |  | @CS@
 | Work item reserved |  | @CT@
 | Work item in progress |  | @CU@
 | Work item carried out | Work item already processed, however must still be explicitly set as "completed" | @CV@
 | Work item waiting | Work item does not yet have "available" status. It is still in the follow-up until a deadline is achieved | @CW@
 | Work item completed | Work item is completely finished | @CX@
 | Work item has errors | Work item has "error" status | @CY@
 | Work item logically deleted | Work item has "logically deleted" status | @CZ@
 | Reserve work item | Reserve work item | @D0@
 | Return work item | Return previously reserved work item | @D1@
 | Set of rules | A parameterized system of logical conditions. Configuration value can be modeled. | @D3@
 | Rule parameters | A parameter controls the relationship of a set of regulations without changing its inner structure | @D4@
 | Join Workflow |  | @M2@
 | Workflow process |  | @M3@
 | Workflow | Symbol for a Workflow definition, Workflow tools as a whole, or for the graphical modeling tool (Workflow Builder). | @OQ@
 | Web activity step type | In workflow definition, a step that carries out an activity on the Web. | @PA@
 | Placeholder | Specifies the workflow fragments that can be inserted, which authorized users can replace at runtime with complete workflow sections. These can then be executed directly by the system. | @Q5@
Icon | Name | Description | ID
 | Operation | G: Routing consists of operations | @64@
 | Reference operation | G: Referenced operation of a routing | @65@
 | Work center operation step | G: Summarized operations of a routing | @66@
 | To-do list | G: Several steps for summarized operations (activities) | @67@
 | Header | PP routing | @HR@
 | Material routing assignment | Allocate a material to a work schedule in PP | @HS@
 | Suboperation | Suboperation of a routing operation from PP | @HT@
 | Referenced suboperation | Referenced suboperation of a routing operation in PP | @HU@
 | Sequence | Routing sequence from PP | @HV@
Icon | Name | Description | ID
 | InfoSource | All source data from the Business Warehouse (derived from OLTOs) | @6E@
 | Application | Grouping of InfoSources in applications, such as Controlling | @6F@
 | InfoArea | Grouping of InfoCubes in applications, such as Controlling | @6G@
 | InfoCube | Object containing an amount of characteristics, key figures and time | @6H@
 | Update rules (inactive) | Customer-defined formulas and rules that update data (key figures) from the communication structure | @6I@
 | Source system (general) | Systems from which data can be derived, collection of source systems | @6J@
 | Source system (R/3 System) | R/3 System is source system for data | @6K@
 | Source system (external) | Data derived from 3rd party tools | @6L@
 | Source system file | Data comes from a (PC) file | @6M@
 | InfoCatalog | Tree structure containing reports and other objects. There are a number of different InfoCatalogs (SAP, Enterprise, User groups, Favorites) | @6N@
 | InfoObject | Is an object of a certain category, such as characteristics and key figures | @6O@
 | Monitor | Shows what data is being or has been imported from an operational system. | @6P@
 | Scheduler | Lets you define when data should be imported from an operational system. | @6Q@
 | Template structure | One-dimensional template for either rows or columns in a report (set of column headers or row headers). | @6S@
 | Report | Object that contains data in table form for a specific subject (example: cost center report, sales report). | @6T@
 | Report view (=workbook) | Set of reports | @6U@
 | Master data (active) | Example: material master, status display | @6V@
 | Master data (inactive) | Example: material master, status display | @6W@
 | Texts (active) | Example: material text, status display | @6X@
 | Texts (inactive) | Example: material text, status display | @6Y@
 | Hierarchies (active) | Example: product hierarchy, status display | @6Z@
 | Hierarchies (inactive) | Example: product hierarchy, status display | @70@
 | Transaction data (active) | Example: goods movements | @71@
 | Transaction data (inactive) | Example: goods movements | @72@
 | Update rules (active) | Material movements, for example | @80@
 | InfoObject units (active) |  | @85@
 | InfoObject units (inactive) |  | @86@
 | InfoObject Catalog | Grouping of a number of characteristics and key figures | @88@
 | ODS (active) | G: Operational Data Store | @9L@
 | ODS (inactive) | G: Operational Data Store | @9M@
 | InfoPackage |  | @9N@
 | Transfer structure |  | @9W@
 | GIS icon for Microsoft Excel | Jumps from the report in Excel to the map. All information shown in the report can be mapped to geographical dimensions. | @F2@
 | InfoCube (SAP version) | InfoCube (SAP version) | @F3@
 | InfoCube (inactive) | InfoCube (inactive) | @F4@
 | InfoObject Catalog (SAP version) | InfoObject Catalog (SAP version) | @F5@
 | Datamarts | Datamarts | @GH@
 | Characteristic (SAP version) | Characteristic (SAP version) | @GJ@
 | Key figure (SAP version) | Calculated key figure (SAP version) | @GK@
 | Unit (SAP version) | Unit (SAP version) | @GL@
 | Time characteristic (SAP version) | Time characteristic (SAP version) | @GM@
 | Update rules (SAP version) | Update rules (SAP version) | @GN@
 | Query (SAP version) | Query (SAP version) | @GO@
 | Variable (SAP version) | Variable (SAP version) | @GP@
 | Template (SAP version) | Template (SAP version) | @GQ@
 | Restricted key figure (SAP version) | Restricted key figure (SAP version) | @GR@
 | Calculated key figure (SAP version) | Calculated key figure (SAP version) | @GX@
 | InfoCatalog (SAP version) | InfoCatalog (SAP version) | @GY@
 | Segment (active) | A segment ist an InfoObject type such as characteristic, key figure, unit, and time characteristic. Characteristics have additional qualities, such as attributes. For example, the characteristic "cost center" has the attribute "Responsible party." The att | @H8@
 | Segment (inactive) | A segment ist an InfoObject type such as characteristic, key figure, unit, and time characteristic. Characteristics have additional qualities, such as attributes. For example, the characteristic "cost center" has the attribute "Responsible party." The att | @H9@
 | Segment (SAP version) | A segment ist an InfoObject type such as characteristic, key figure, unit, and time characteristic. Characteristics have additional qualities, such as attributes. For example, the characteristic "cost center" has the attribute "Responsible party." The att | @HA@
 | Source system (own system) |  | @M1@
 | Exception monitor | In the exception monitor: Shows ation statuses in which exceptions occurred. The exceptions occur when the reporting agent carries out exception reporting in the background. In the exception monitor, the different exception levels are indicated by the tra | @MS@
 | ation status of a query | Represents a ation state within a query or a certain view of part of the data in an InfoCube. Used in the Business Explorer for the different views stored there on the data in the query executed. In the alert monitor it shows how many exceptions were foun | @MT@
 | Transfer structure (inactive) |  | @MU@
 | Exception in reporting | Icon is used in the exception monitor and in the query definition tool. Exception reporting yields a list with cells marked in red, yellow, and green. The exception monitor displays an overview of queries with exceptions. | @MV@
 | Ranking list | An analysis function: You can define conditions in the query definition. These conditions reduce the number of rows and columns displayed. Example: Top 5 customers in terms of sales, products with sales of mor than $1,000,000, or the top 50 combinations o | @MW@
 | GANTT chart | Objects on map (e.g. countries) are rendered using bar charts | @NF@
 | Line graph | Objects on map (e.g. countries) are colored according to assigned value. E.g. Red --> Low, Green --> High | @NG@
 | Layer down | Layer is moved down 1 position | @NH@
 | Dot density graph | Objects on map (e.g. countries) are rendered using dot density. E.g. high population areas are redered with many randomly distributed dots, low population areas only with few dots per area. | @NI@
 | Map settings | Change layer properties: layer order, color, texture, outline width | @NJ@
 | Pan | The user moves or drags the currently visible part of the map, continuing to pan until the desired part of the map is visible. | @NK@
 | Pie chart | Objects on map (e.g. countries) are rendered using pie charts | @NL@
 | Layer up | Layer is moved up 1 position | @NM@
 | Select map objects | The user stretches the rubber band to select all the objects in this area (such as customers in a certain region). | @NN@
 | Symbol chart | Objects on map (e.g. countries) are rendered using symbols: triangle, circle, cross marker, Icons, or BMPs. Texts can also be used. | @NO@
 | Reporting agent: active | Setting the reporting agent can fulfill a number of functions. Currently, Release 4.6C supports the functions "Print in the background" and "Exception Reporting". The setting determines how the query is processed in the background (for example, which data | @O1@
 | Reporting agent: inactive | Setting the reporting agent can fulfill a number of functions. Currently, Release 4.6C supports the functions "Print in the background" and "Exception Reporting". The setting determines how the query is processed in the background (for example, which data | @O2@
 | Database table | Database table: used, for example, in the Business Information Warehouse (BW) for transparent database tables that use an operational data store object. These tables contain consolidated data from several source systems or info sources. | @PO@
 | Inactive database table | Inactive database table: the database table is available (that is, a description of the table exists) but is not active. Used, for example, in the Business Information Warehouse (BW) for inactive database tables that use an operational data store object. | @PP@
 | Active InfoSet | In the Business Information Warehouse: An active InfoSet is a view of several PSA objects and/or info objects. | @QI@
 | Inactive InfoSet | In the Business Information Warehouse: An inactive InfoSet is a view of several PSA objects and/or info objects. | @QJ@
 | Formula performed on a structure element | In the Business Information Warehouse: Formula performed on a structure element that does not have a key figure. | @QK@
 | Characteristic with hierarchy | In the Business Information Warehouse: Display characteristic with presentation hierarchy. | @QL@
 | Excluded node | In the Business Information Warehouse: Hierarchy node is excluded from the selection. All the values under a fixed node in a fixed hierarchy are excluded. | @QM@
 | Included variable node | In the Business Information Warehouse: Variable hierarchy node is included in the selection. All the values under a variable node, or in a fixed hierarchy, or under a fixed node in a variable hierarchy, or under a variable node in a variable hierarchy are | @QN@
 | Excluded variable node | In the Business Information Warehouse: Variable hierarchy node is excluded from the selection. All the values under a variable node, or in a fixed hierarchy, or under a fixed node in a variable hierarchy, or under a variable node in a variable hierarchy a | @QO@
 | Formula performed on a key figure | In the Business Information Warehouse: Formula performed on a key figure. | @QP@
 | Included variable value | In the Business Information Warehouse: Variable included in selection. | @QQ@
 | Excluded variable value | In the Business Information Warehouse: Variable excluded from selection. | @QR@
 | Include values greater than or equal to variable | In the Business Information Warehouse: Include all values greater than or equal to variable | @QS@
 | Include values greater than variable | In the Business Information Warehouse: Include all values greater than variable | @QT@
 | Include values less than or equal to variable | In the Business Information Warehouse: Include all values less than or equal to variable | @QU@
 | Include values less than variable | In the Business Information Warehouse: Include all values less than variable | @QV@
 | Include variable range | In the Business Information Warehouse: Include all values between a fixed value and a variable; between a variable and a fixed value; or between two variables. | @QW@
 | Exclude variable range | In the Business Information Warehouse: Exclude all values between a fixed value and a variable; between a variable and a fixed value; or between two variables. | @QX@
 | Multi Data Provider | In the Business Information Warehouse: General query evaluation object on several data sources. This object is a generalization of the MultiCube. Data is collated from several individual data providers - such as the InfoCube, PSA object or InfoSet. | @QY@
 | Inactive Multi Data Provider | In the Business Information Warehouse: Inactive Multi Data Provider; see ICON_MULTI_DATA_PROVIDER | @QZ@
 | Source system: Database | In the Business Information Warehouse: External database system as data source | @R0@
 | Source system: Internet | In the Business Information Warehouse: Internet site as data source | @R1@
 | DataSource | In the Business Information Warehouse: DataSource, source system-specific set of logically-associated fields in business terms for loading data. | @R2@
 | BW Web report | In the Business Information Warehouse: Executable Web report or Web application | @R3@
 | Geo-characteristic | In Business Information Warehouse: A geo-characteristic can be used as a map layer in BEx Map. If a characteristic is flagged as a geo-characteristic, BW data can also be displayed geographically. | @R8@
 | Inactive geo-characteristic | In the Business Information Warehouse: Inactive geo-characteristic; see ICON_GEO_CHARACTERISTIC | @R9@
 | SAP Data Mining | SAP Data Mining Model | @TW@
 | Visualization | Visualize results of a node or process defined in Analysis Process Designer | @TX@
 | Target | Data target for a process defined in Analysis Process Designer | @TY@
 | Transformation | Transform data in a process defined in Analysis Process Designer | @TZ@
 | Source | Data source for a process defined in Analysis Process Designer | @U0@
 | Column to row | Column to row transformation in Analysis Process Designer | @U1@
 | Row to column | Row to Column transformation in Analysis Process Designer | @U2@
 | Database table | Database table where data is stored | @U3@
 | Analysis Process | Analysis process where data is read, transformed and written using Analysis Process Designer | @U4@
 | 3rd Party Data Mining | 3rd party data mining model | @U5@
 | Weighted Score Tables | Weighted score tables transformation in Analysis Process Designer | @U6@
 | Regression | Data mining model: regression | @U7@
 | Clustering | Data mining model: clustering | @U8@
 | Association Analysis | Data mining model: association analysis | @U9@
 | Decision Tree | Data mining model: decision tree | @UA@
 | Unit Conversion | Unit Conversion | @UB@
 | Planning Layer | Planning Layer | @UC@
 | Planning Layer, inactive | Planning Layer, inactive | @UD@
 | Open Hub Destination | Open Hub Destination | @UE@
 | Rotate Right | Rotate Right | @UF@
 | Rotate Left | Rotate Left | @UG@
Icon | Name | Description | ID
 | Receipts | G: Trip costs: receipts for hotel, parking, etc. | @90@
 | Stopovers | G: Trip costs: Stopovers between the starting point and final destination | @91@
 | Miles/kms distribution | G: Trip costs: different vehicles and one destination, or different destinations and one vehicle | @92@
 | Advance payment | G: Trip costs: clerk or traveler enters the values | @93@
 | Deductions | G: Trip costs: e.g. lunch (traveler enters) | @94@
 | Cost assignment | G: Trip costs: e.g. destinations, mileage, etc., similar to "Where-used list" | @95@
 | Book flight | G: Trip costs | @AV@
 | Book rental car | G: Trip costs | @AW@
 | Book hotel | G: Trip costs | @AX@
 | Book train | G: Trip costs | @AY@
 | Price enquiry | G: Trip costs | @AZ@
 | Query | G: Trip costs: check availability | @B0@
 | Book | G: Trip costs: make a booking | @B1@
 | Cancel | G: Trip costs: cancel a booking | @B2@
 | Booking status: open | G: Trip costs | @B3@
 | Booking status: booked | G: Trip costs | @B4@
 | Booking status: partially booked | G: Trip costs | @B5@
 | Booking status: canceled | G: Trip costs | @B6@
 | Preferences | G: Trip costs: individual profile (of settings) | @B7@
 | Per diem rates | In travel expense accounting, employees can be given fixed amounts for mileage, food, and lodging on business trips. Many countries use this per diem rate method as an alternative to collecting the receipts for a business trip (hotel bill, gas receipts, e | @M0@
Icon | Name | Description | ID
 | Automatic offer | G: HR: Benefits provided by employer for its employee (one time) | @9C@
 | Options | G: HR: Temporary benefits, employee can choose options | @9D@
 | Event offer | G: HR: Benefits granted upon an event such as marriage or birth of a child | @9E@
 | Open offer | G: HR: Once per year employees can choose from the benefits offered. | @9F@
 | Offers waived | G: HR: Employee benefits declined by the employee (documented) | @9G@
 | Dependents | G: HR: List of all an employee's dependents covered under employee benefits | @9H@
 | Current benefits | G: HR: List of all current employee benefits per employee | @9I@
 | Terminate benefits | G: HR: Terminate or delete the benefits | @9J@
 | Factoring |  | @BC@
 | Workload | G: HR: | @BD@
 | Suggestion | G: HR: | @BE@
 | Time evaluation | G: HR: | @BH@
 | Position (job) |  | @BI@
 | Task | G: HR: specific work area | @BK@
 | Manager | G: HR: project manager, manager of a department | @BM@
 | Organizational unit |  | @BN@
 | Fast entry |  | @BQ@
 | Actions | G: HR: An event such as a marriage or birth of a child triggers a series of actions. | @BR@
 | Work center | G: HR: central instance for delegating tasks. | @BS@
 | Job |  | @CA@
 | Budget structure element | Budget can be made available from a budget structure element for financing a person or position. | @GZ@
 | Financing | Makes budget available to finance a person or position. | @H0@
 | Reclassification rule | Marks full-time equivalent budget for use with a classification other than the one shown. | @H1@
 | Reclassification | Full-time equivalent budget for use with a classification other than the one shown. | @H2@
 | Mark for elimination | Mark budget for elimination from a budget element | @H3@
 | Earmark | Earmarks budget in (an) organizational unit(s) or position(s). | @H4@
 | Substitute | Substitute for a certain position | @H5@
 | Budget update | Increase or decrease the budget of a budget structure element | @H6@
 | Transfer | Transfers budget from one budget structure element to another | @H7@
 | Illness | This icon indicates that an employee of the organization is ill. | @IP@
 | Leave (Vacation) | This icon indicates that an employee of the organization is on leave (vacation). | @IQ@
 | Standard administrator role | Standard roles are used in Workflow to determine the person responsible in realtime, i.e. to assign tasks to certain administrators on the basis of certain criteria. These can be organizational criteria (administrator can be all members of a certain purch | @IR@
 | Personnel administration | Personnel administration; an application where different types of employee information are stored, e.g. organizational assignment, pay, absence records, etc. | @IS@
 | Display tree | A hierarchical structure is displayed as a tree. | @JG@
 | Extended search | Searches not only the displayed structure (e.g. ation tree), but also levels that lie below it. | @JH@
 | Close object | Close Object | @JI@
 | Open object | Open Object | @JJ@
 | Position to be filled | Shows that a position is to be filled | @L2@
 | Position on hold | Position that is neither filled nor vacant | @L3@
 | New employee | New employee | @L4@
 | Incoming employee | Assigns employee to an organizational unit or position. | @L5@
 | Outgoing employee | Employee leaves the organizational unit | @L6@
 | Obsolete position | Position has been set to "obsolete" | @L7@
 | Delimited position | Position is delimited. | @L8@
 | Shared position | Position is linked to two or more holders. | @L9@
 | Obsolete shared position | Position is shared but is now obsolete. | @LA@
 | Delimited shared position | Position is delimited and is shared. | @LB@
 | Create position | Creates a position | @LD@
 | Delimited organizational unit | Organizational unit is delimited. | @LF@
 | Create organizational unit | Create organizational unit | @LG@
 | Limited assignment | Assignment of an organizational unit to a selected area is limited. | @LH@
 | New organizational unit | Organizational unit is added to the one belonging to the selected area. | @LI@
 | New task | Create task | @LJ@
 | Delimited task | Delimited task | @LK@
 | Delimited task assignment | Delimited task assignment | @LL@
 | Reassign task | Reassigns a task | @LM@
 | Delimited job assignment | Delimited job assignment | @LN@
 | Job reassigned | Job is reassigned | @LO@
 | Create job | Creates a job | @LP@
 | Delimited job | Delimited job | @LQ@
 | Object reassigned | Object is reassigned | @LR@
 | Delimited object assignment | Delimited object assignment | @LS@
Icon | Name | Description | ID
 | Spool request | Goes to the list of spool requests | @EQ@
 | Display output request | Goes to the list of output requests | @ER@
 | Display spool status | Displays the status of a request | @EU@
 | Print with parameters | Creates an output request (spool request) with the option of entering parameters that differ from the default. | @EW@
 | Application server with spool | Application server with spool service | @G7@
 | Real application server | Existing application server running on a computer. | @G8@
 | Logical application server | (Alias) name of an application server mapped to a real application server. | @G9@
 | Alternative server | Application server that can be used if the desired server is not available. | @GA@
 | Operator | This icon symbolizes an operator in CCMS (Computing Center Management System). An operator has fewer rights than a system administrator. | @KP@
 | System administrator | This icon symbolizes users with system administrator rights in CCMS (Computing Center Management System). | @KQ@
 | SAP | This icon represents SAP objects in any context. | @KR@
 | Public | This icon symbolizes the objects that are publicly accessible (as opposed to private objects) in CCMS. | @KS@
 | Binary document | Document has been formatted and is being sent directly to the printer. | @O8@
 | Unknown document type | Unknown document type | @O9@
 | Document with OTF data | Document was created in SAPscript and contains OTF data | @OA@
Icon | Name | Description | ID
 | Project definition | The project definition is the header of a project structure. It contains the basic information for the entire project. | @EC@
 | WBS element | Element of a project structure. The project structure is a hierarchical structure of the entire project. | @ED@
 | Network header | A network header contains basic information for a network. A network consists of a number of activities, which can be sorted in chronological order. Further objects (components, activity elements, milestones, etc.) can in turn be assigned to an activity. | @EE@
 | Network activity | An activity describes a single activity within a network. The activities are sorted according to their chronological order. The activity contains information on how it is carried out and what its status is, along with its assignments to objects needed in | @EF@
 | Activity element | Activity elements divide an activity into individual packages. An activity element always belongs to an activity. Activity elements cannot be linked by any relationships. | @EG@
 | Relationship | A relationship shows the chronological sequence of two activities. | @EH@
 | Milestone | Milestones can be assigned to a network activity or a WBS element. They described the basic deadlines in the course of a project. | @HM@
 | PS text | A PS text is a central text document for a project. PS texts can be assigned to WBS elements and network activities and be passed on to other applications (e.g. purchase order for a project). | @HN@
Icon | Name | Description | ID
 | Hold dialog box | Holds the dialog box so that you can choose more than one value from the "Possible entries" help. | @LX@
 | Release hold | Ends the function "Hold dialog box". The dialog box closes after you choose the next value. | @LY@
 | Answer telephone call | Upon an incoming telephone call, establishes a voice connection to the caller. | @NP@
 | Alternate active/hold | When two calls are on one extension, alternate between the call on hold and the active call | @NQ@
 | Put active call on hold | Place an active call on the extension on hold | @NR@
 | Deflect an incoming call | Send an incoming telephone call to another extension or queue without answering it. | @NS@
 | Issue a consultation call | Place the existing telephone call on hold and make a consultation call to another number. If there is no current call on the extension, make an original call from the extension to another number. | @NT@
 | Establish a conference call | Establish conference call. Conference a held call and an active call together so that all parties can communicate. | @NU@
 | Perform blind transfer | Take an active telephone call and unconditionally transfer it to a supplied number. The agent cannot determine whether the call was answered at the intended destination or not. | @NV@
 | Reconnect after consultation | Terminate a consultation call and return to the call currently on hold. | @NW@
 | Retrieve call from hold | Retrieve a telephone call that is on hold. | @NX@
 | Warm transfer | Place the existing telephone call on hold, then place a consultation call to a number supplied by the agent. If the agent successfully reaches the party, the agent may transfer the held party to the consulted party. After the transfer the agent is dropped | @NY@
 | Create callback | Schedule a callback telephone call to be made by an agent at a future point in time. | @NZ@
 | Process callback | Process a previously scheduled telephone call waiting in the callback queue. | @O0@
Icon | Name | Description | ID
 | Save | System function: save object | @2L@
 | Help | System function: calls up the F1 help | @35@
 | Redo | Repeat the last operation | @4R@
 | Application help | System function: call up application help | @5E@
 | Space | Space (in lists) | @5F@
 | SAP menu | System function: SAP Menu | @6A@
 | Enterprise menu | System function: Enterprise menu | @6B@
 | User menu | System function: User menu | @6C@
 | User favorites | System function:: Favorites | @6D@
Icon | Name | Description | ID
 | Information message | System function: | @19@
 | Warning | System function: | @1A@
 | Error message | System function: | @1B@
 | Question | System function: | @1C@
 | Critical message | System function: | @1D@
Icon | Name | Description | ID
 | Form View | Form View | @UH@
 | List View | List View | @UI@
 | Medium View Size | Medium View Size | @UJ@
 | Maximize View | Maximize View | @UK@
 | Expand View Vertical | Expand View Vertical | @UL@
 | Expand View Horizontal | Expand View Horizontal | @UM@
 | Refresh View | Refresh View | @UN@
 | Create a view | Create a view | @UO@
 | Close a view | Close a view | @UP@
 | Switch Views | Switch Views | @UQ@
Icon | Name | Description | ID
 | Call up/define a claim file | Creates a claim for each policy for a loss event. The claim file contains all information on the loss event, damaged objects, persons involved, and payments and subrogations. | @FH@
 | Display/define policy data | Display/define the data for a policy. | @JK@
 | Display/define payment | Display/define a payment. | @JL@
 | Display/define catastrophe | Display/define a catastrophe. | @JM@
 | Bundle of claims | Display/define a bundle of claims | @JN@
 | Invasion of personal privacy | A subclaim is always assigned to an object type. This icon defines a subclaim of the object type "Invasion of personal privacy". | @JO@
 | Subclaim "Intellectual property" | A subclaim is always assigned to an object type. This icon defines a subclaim of the object type "Intellectual property". | @JP@
 | Subclaim "Vehicle" | A subclaim is always assigned to an object type. This icon defines a subclaim of the object type "Vehicle". | @JQ@
 | Subclaim "Personal property" | A subclaim is always assigned to an object type. This icon defines a subclaim of the object type "Personal property". | @JR@
 | Subclaim "Building" | A subclaim is always assigned to an object type. This icon defines a subclaim of the object type "Building". | @JS@
 | Treatment of injuries | Call up or define treatments for injuries to persons. | @JT@
 | Personal injury | A subclaim is always assigned to an object type. This icon defines a subclaim of the object type "Personal injury". | @JU@
 | Environmental damage | A subclaim is always assigned to an object type. This icon defines a subclaim of the object type "Environmental damage". | @JV@
 | Economic loss | A subclaim is always assigned to an object type. This icon defines a subclaim of the object type "Economic loss" | @JW@
Icon | Name | Description | ID
 | Assembly header node | Assembly: A single-level, nonconfigurable decomposition of a material. An assembly consists of an assembly header and assembly items. Variant assembly: Group of similar assemblies. These assemblies can be assigned to one node structure as the (structure) | @MX@
 | Assembly change status | The product structure must also show possible alternative points of access to the product structure. | @MY@
 | Structure node alternative | Represents an alternative decomposition. The product structure must also show possible alternatives for the composition of the product. Alternatives may arise due to technical reasons (e.g. a subassembly needs to be created). In the product variant struct | @MZ@
 | Variant change status | Variants represent materials or documents in a certain usage (structure node) in a product structure. These variants are subject to change management. Each change status is a node in the structure. | @N0@
 | Structure node with variants | The structure level is a central area in iPPE that contains the structures of products or product lines. The core element of this level is the structure node, which represents a component of the product structure or a function of the product, and to which | @N1@
 | Access node | This node serves as a collector of access variants that represent similar points of entry into iPPE. | @N2@
 | Activity plan | Corresponds to a routing in the production of highly configured materials. | @N3@
 | Grouping node | The outline level makes it possible to realize different views of the structure of a product represented in iPPE. | @N4@
 | Mode | Assignment of an activity to a resource in the production line. | @N5@
 | Alternative relationship | Indicates alternative relationships between activities, such as when there is more than one way to carry out an assembly. The alternatives can depend on any number of rules. | @N6@
 | Alternative decomposition | This makes it possible, for example, to distinguish different processes in two plants. For example, in one plant the engine is supplied completely, whereas in the other plant it is supplied without the cylinder head. | @N7@
 | Operation | An operation is a group of more than one activity. It describes bot the order of the activities and their technical interdependencies. | @N8@
 | Activity | An activity is comparable to an operation in a network but contains attributes specific to flow manufacturing. | @N9@
 | Grouping activity | In the outline level, you use outline activities to realize difference views of the production process of a product represented in iPPE. | @NA@
 | Buffer | A buffer usually lies between two line segments and serves as a sort of temporary storage. The sequence of plan orders can also be changed in the buffer. | @NB@
 | Line segment | The line segments divide a production line into separate areas. In the automobile industry, the segments typically distinguish bare construction, painting, and final assembly. | @NC@
 | Production line | The production line consists of a number of processing stations (work centers) in a certain sequence, connected by a conveyor system. Production lines are used in flow and repetitive manufacturing. | @ND@
 | Assembly Item node | Assembly: A single-level, nonconfigurable decomposition of a material. An assembly consists of an assembly header and assembly items. Variant assembly: Group of similar assemblies. These assemblies can be assigned to one node structure as the (structure) | @NE@
 | Single-level BOM item | A single-level BOM item is comparable to a BOM item in the standard system. | @O5@
 | Single-level BOM header | A single-level BOM header is comparable to a BOM header in the standard system. | @O6@
 | Alternative decomposition of activity plan | This makes it possible, for example, to distinguish different processes in two plants. For example, in one plant the engine is supplied completely, whereas in the other plant it is supplied without the cylinder head. | @O7@
 | Line balancing | Assigns activities to the production line for a specific period. The purpose of line balancing is to optimize the distribution of tasks in the production line. | @PH@
 | Initial object for integrated Product Process Engineering | Used to access integrated Product Process Engineering. Bundles process structure and line structure objects. | @PI@
Icon | Name | Description | ID
 | Female | Female | @RA@
 | Male | Male | @RB@
 | Unknown gender | Unknown gender | @RC@
 | Female | Female | @RD@
 | Male | Male | @RE@
 | Deceased | Deceased | @RF@
Icon | Name | Description | ID
 | Retail Product | Retail Products | @TT@
 | Retail Store | Retail Strores | @TU@


STLport: License Agreement

License Agreement

Boris Fomitchev grants Licensee a non-exclusive, non-transferable, royalty-free license to use STLport and its documentation without fee.

By downloading, using, or copying STLport or any portion thereof, Licensee agrees to abide by the intellectual property laws and all other applicable laws of the United States of America, and to all of the terms and conditions of this Agreement.

Licensee shall maintain the following copyright and permission notices on STLport sources and its documentation unchanged :

Copyright 1999,2000 Boris Fomitchev

This material is provided "as is", with absolutely no warranty expressed or implied. Any use is at your own risk.
Permission to use or copy this software for any purpose is hereby granted without fee, provided the above notices are retained on all copies. Permission to modify the code and to distribute modified code is granted, provided the above notices are retained, and a notice that the code was modified is included with the above copyright notice.

The Licensee may distribute binaries compiled with STLport (whether original or modified) without any royalties or restrictions.

The Licensee may distribute original or modified STLport sources, provided that:

  • The conditions indicated in the above permission notice are met;
  • The following copyright notices are retained when present, and conditions provided in accompanying permission notices are met :

Copyright 1994 Hewlett-Packard Company

Copyright 1996,97 Silicon Graphics Computer Systems, Inc.

Copyright 1997 Moscow Center for SPARC Technology.

Permission to use, copy, modify, distribute and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. Hewlett-Packard Company makes no representations about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

Permission to use, copy, modify, distribute and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. Silicon Graphics makes no representations about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

Permission to use, copy, modify, distribute and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. Moscow Center for SPARC Technology makes no representations about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.